from typing import Any, Iterator, Tuple, Optional, List, Dict, Union, Callable

class _SwigNonDynamicMeta(type):
    @property
    def thisown(self) -> "Any": ...
    pass

class SwigPyIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...
    def __add__(self, n) -> "SwigPyIterator": ...
    def __eq__(self, x) -> "bool": ...
    def __iadd__(self, n) -> "SwigPyIterator": ...
    def __isub__(self, n) -> "Any": ...
    def __iter__(self) -> "Any": ...
    def __ne__(self, x) -> "Any": ...
    def __next__(self) -> "Any": ...
    def __sub__(self, *args) -> "Any": ...
    def advance(self, n) -> "Any": ...
    def copy(self) -> "Any": ...
    def decr(self, n=1) -> "SwigPyIterator": ...
    def distance(self, x) -> "Any": ...
    def equal(self, x) -> "bool": ...
    def incr(self, n) -> "Any": ...
    def next(self) -> "PyObject": ...
    def previous(self) -> "PyObject": ...
    def value(self) -> "PyObject": ...

class Database(object):
    @property
    def basic_blocks(self) -> "BasicBlocks": ...
    @property
    def bytes(self) -> "Bytes": ...
    @property
    def comments(self) -> "Comments": ...
    @property
    def entry_point(self) -> "ea_t": ...
    @property
    def functions(self) -> "Functions": ...
    @property
    def instructions(self) -> "Instructions": ...
    @property
    def maximum_ea(self) -> "ea_t": ...
    @property
    def metadata(self) -> "dict": ...
    @property
    def minimum_ea(self) -> "ea_t": ...
    @property
    def names(self) -> "Names": ...
    @property
    def segments(self) -> "Segments": ...
    @property
    def signature_files(self) -> "SignaturesFiles": ...
    @property
    def strings(self) -> "Strings": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def types(self) -> "Types": ...
    @property
    def xrefs(self) -> "Xrefs": ...
    def __init__(self) -> "None": ...
    def _get_entry_point(self) -> "ea_t": ...
    def _get_maximum_ea(self) -> "ea_t": ...
    def _get_metadata(self) -> "StringToStringMap": ...
    def _get_minimum_ea(self) -> "ea_t": ...
    def close(self, save) -> "Any": ...
    def get_current_ea(self) -> "ea_t": ...
    def is_loaded(self) -> "bool": ...
    def open(self, dbPath, dbArgs=std::string()) -> "bool": ...
    def set_current_ea(self, ea) -> "bool": ...

class Segments(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_all(self) -> "SegmentsIterator": ...
    def get_at(self, ea) -> "segment_t": ...
    def get_name(self, segment) -> "str": ...
    def set_name(self, segment, name) -> "bool": ...

class SegmentsIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[segment_t]": ...
    def create(self, ea) -> "bool": ...
    def get_at(self, ea) -> "func_t": ...
    def get_basic_blocks(self, func) -> "BasicBlocksIterator": ...
    def get_between(self, start, end) -> "SegmentsIterator": ...
    def get_disassembly(self, func) -> "StringVector": ...
    def get_first(self) -> "segment_t": ...
    def get_instructions(self, func) -> "list": ...
    def get_name(self, func) -> "str": ...
    def get_next(self) -> "segment_t": ...
    def get_pseudocode(self, func, remove_tags=True) -> "StringVector": ...
    def get_signature(self, func) -> "str": ...
    def matches_signature(self, func, signature) -> "bool": ...
    def remove(self, ea) -> "bool": ...
    def set_name(self, func, name) -> "bool": ...

class Functions(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def create(self, ea) -> "Any": ...
    def get_all(self) -> "FunctionsIterator": ...
    def get_at(self, ea) -> "Any": ...
    def get_basic_blocks(self, func) -> "Any": ...
    def get_between(self, start, end) -> "FunctionsIterator": ...
    def get_disassembly(self, func) -> "Any": ...
    def get_instructions(self, func) -> "list": ...
    def get_name(self, func) -> "str": ...
    def get_pseudocode(self, func, remove_tags) -> "Any": ...
    def get_signature(self, func) -> "Any": ...
    def matches_signature(self, func, signature) -> "Any": ...
    def remove(self, ea) -> "Any": ...
    def set_name(self, func, name) -> "Any": ...

class FunctionsIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[func_t]": ...
    def decode(self, ea) -> "BoolInsntPair": ...
    def get_between(self, start, end) -> "FunctionsIterator": ...
    def get_disassembly(self, insn) -> "BoolStringPair": ...
    def get_first(self) -> "func_t": ...
    def get_next(self) -> "func_t": ...
    def is_valid(self, insn) -> "bool": ...

class Instructions(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def decode(self, ea) -> "Any": ...
    def get_all(self) -> "InstructionsIterator": ...
    def get_between(self, start, end) -> "InstructionsIterator": ...
    def get_disassembly(self, insn) -> "Any": ...
    def is_valid(self, insn) -> "bool": ...

class InstructionsIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[insn_t]": ...
    def get_between(self, start_ea, end_ea) -> "InstructionsIterator": ...
    def get_first(self) -> "BoolInsntPair": ...
    def get_instructions(self, block) -> "list": ...
    def get_next(self) -> "BoolInsntPair": ...

class BasicBlocks(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_all(self) -> "BasicBlocksIterator": ...
    def get_between(self, start_ea, end_ea) -> "BasicBlocksIterator": ...
    def get_instructions(self, block) -> "list": ...

class BasicBlocksIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[qbasic_block_t]": ...
    def get_at(self, ea) -> "BoolStringPair": ...
    def get_at_index(self, index) -> "EAStringPair": ...
    def get_count(self) -> "int": ...

class Strings(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_all(self) -> "StringsIterator": ...
    def get_at(self, ea) -> "Any": ...
    def get_at_index(self, index) -> "Any": ...
    def get_count(self) -> "int": ...

class StringsIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[String]": ...
    def get_at(self, ea) -> "BoolStringPair": ...
    def get_at_index(self, index) -> "EAStringPair": ...
    def get_count(self) -> "int": ...
    def get_first(self) -> "EAStringPair": ...
    def get_next(self) -> "EAStringPair": ...

class Names(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_all(self) -> "NamesIterator": ...
    def get_at(self, ea) -> "Any": ...
    def get_at_index(self, index) -> "Any": ...
    def get_count(self) -> "int": ...

class NamesIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[idb_name_t]": ...
    def get_first(self) -> "EAStringPair": ...
    def get_from(self, ea) -> "XrefsFromIterator": ...
    def get_next(self) -> "EAStringPair": ...
    def get_to(self, ea) -> "XrefsToIterator": ...

class Xrefs(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_all(self) -> "XrefsIterator": ...
    def get_from(self, ea) -> "Any": ...
    def get_to(self, ea) -> "Any": ...

class XrefsIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...

class XrefsToIterator(XrefsIterator):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[XrefsToElement]": ...
    def apply_named_type(self, ea, type) -> "bool": ...
    def get_first(self) -> "BoolXrefBlkPair": ...
    def get_next(self) -> "BoolXrefBlkPair": ...
    def get_type_name(self, ea) -> "BoolStringPair": ...

class XrefsFromIterator(XrefsIterator):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database, ea) -> "None": ...
    def __iter__(self) -> "Iterator[XrefsFromElement]": ...
    def get_first(self) -> "Any": ...
    def get_next(self) -> "Any": ...

class Types(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def apply_named_type(self, ea, type) -> "bool": ...
    def get_all(self) -> "TypesIterator": ...
    def get_type_name(self, ea) -> "str": ...

class TypesIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[tinfo_t]": ...
    def get_available_sig_files(self) -> "StringVector": ...
    def get_first(self) -> "BoolTinfoPair": ...
    def get_next(self) -> "BoolTinfoPair": ...

class SignaturesFiles(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_available_sig_files(self) -> "Any": ...

class Comments(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get(self, ea) -> "BoolStringPair": ...
    def get_all(self, include_repeatable) -> "CommentsIterator": ...
    def set(self, ea, comment) -> "bool": ...

class CommentsIterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def __iter__(self) -> "Iterator[Comment]": ...
    def get_byte(self, ea) -> "int": ...
    def get_disassembly(self, ea) -> "BoolStringPair": ...
    def get_double(self, ea) -> "BoolDoublePair": ...
    def get_dword(self, ea) -> "int": ...
    def get_first(self) -> "EAStringPair": ...
    def get_float(self, ea) -> "BoolFloatPair": ...
    def get_next(self) -> "EAStringPair": ...
    def get_qword(self, ea) -> "int": ...
    def get_word(self, ea) -> "int": ...

class Bytes(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, database) -> "None": ...
    def get_byte(self, ea) -> "Any": ...
    def get_disassembly(self, ea) -> "Any": ...
    def get_double(self, ea) -> "Any": ...
    def get_dword(self, ea) -> "Any": ...
    def get_float(self, ea) -> "Any": ...
    def get_qword(self, ea) -> "Any": ...
    def get_word(self, ea) -> "Any": ...

class VersionInfo(_VersionInfo.__class__):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...
    def __class_getitem__(self, cls, key) -> "Any": ...
    def __repr__(self) -> "VersionInfo": ...
    def __str__(self, cls) -> "Any": ...

class pyidc_opaque_object_t(object):
    @property
    def thisown(self) -> "Any": ...
    pass

class py_clinked_object_t(pyidc_opaque_object_t):
    @property
    def thisown(self) -> "Any": ...
    @property
    def clink(self) -> "Any": ...
    @property
    def clink_ptr(self) -> "Any": ...
    def __init__(self, lnk) -> "None": ...
    def __del__(self) -> "Any": ...
    def _create_clink(self) -> "Any": ...
    def _del_clink(self, lnk) -> "Any": ...
    def _free(self) -> "Any": ...
    def _get_clink_ptr(self) -> "Any": ...
    def assign(self, other) -> "Any": ...
    def copy(self) -> "Any": ...

class object_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, **kwds) -> "None": ...
    def __getitem__(self, idx) -> "Any": ...

class plugin_t(pyidc_opaque_object_t):
    @property
    def thisown(self) -> "Any": ...
    def run(self, arg) -> "Any": ...
    def term(self) -> "Any": ...

class plugmod_t(pyidc_opaque_object_t):
    @property
    def thisown(self) -> "Any": ...
    pass

class pyidc_cvt_helper__(object):
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "Any": ...
    def __init__(self, cvt_id, value) -> "None": ...
    def __get_value(self) -> "Any": ...
    def __set_value(self, v) -> "Any": ...

class PyIdc_cvt_int64__(pyidc_cvt_helper__):
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "Any": ...
    def __init__(self, v) -> "None": ...
    def __add__(self, other) -> "Any": ...
    def __div__(self, other) -> "Any": ...
    def __get_value(self) -> "Any": ...
    def __mul__(self, other) -> "Any": ...
    def __op(self, op_n, other, rev) -> "PyIdc_cvt_int64__": ...
    def __radd__(self, other) -> "Any": ...
    def __rdiv__(self, other) -> "Any": ...
    def __rmul__(self, other) -> "Any": ...
    def __rsub__(self, other) -> "Any": ...
    def __set_value(self, v) -> "Any": ...
    def __sub__(self, other) -> "Any": ...

class PyIdc_cvt_refclass__(pyidc_cvt_helper__):
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "Any": ...
    def __init__(self, v) -> "None": ...
    def __get_value(self) -> "Any": ...
    def __set_value(self, v) -> "Any": ...
    def cstr(self) -> "str": ...

class ast_TypeAlias(object):
    @property
    def thisown(self) -> "Any": ...
    def _dedent(self, source) -> "str": ...
    def _nodes(self, tree) -> "Any": ...
    def _nodes_iter(self, tree) -> "Any": ...
    def _pairwise_longest(self, iterable) -> "Any": ...
    def _walk_tree(self, tree) -> "Any": ...

class __IDAPython_Completion_Util(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __call__(self, line, x) -> "Any": ...
    def __parse_arg(self, arg) -> "Any": ...
    def __proto_from_argspec(self, name, args, defaults, annotations) -> "Any": ...
    def __proto_from_docstring(self, name, doc, altname) -> "Any": ...
    def __render_args(self, args, types, defaults) -> "Any": ...
    def __render_constant(self, name, attr) -> "Any": ...
    def __render_default(self, name) -> "Any": ...
    def __render_docstr(self, doc, name) -> "Any": ...
    def __render_int_member(self, name, typ, val) -> "Any": ...
    def __render_proto(self, name, args, types, defaults, rets, is_ctor) -> "Any": ...
    def __render_rets(self, rets) -> "Any": ...
    def __repr_type(self, typ) -> "Any": ...
    def __resolve_type(self, tname) -> "Any": ...
    def build_hints(self, names, ns) -> "Any": ...
    def debug(self, *args) -> "Any": ...
    def dir_namespace(self, m, prefix) -> "Any": ...
    def get_candidates(self, qname, line, match_syntax_char) -> "Any": ...
    def maybe_extend_syntactically(self, ns, name, line, syntax_char) -> "Any": ...

class IDAPython_displayhook(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def _getter(self) -> "Any": ...
    def _print_hex(self, x) -> "Any": ...
    def _setter(self, v) -> "Any": ...
    def displayhook(self, item) -> "Any": ...
    def displayhook_format(self, item) -> "Any": ...
    def f(self) -> "Any": ...
    def format_basestring(self, _in) -> "qstring": ...
    def format_item(self, num_printer, storage, item) -> "Any": ...
    def format_seq(self, num_printer, storage, item, opn, cls) -> "Any": ...
    def parse_command_line3(self, cmdline) -> "PyObject": ...
    def pycim_get_widget(self, _self) -> "TWidget": ...
    def pygc_create_groups(self, _self, groups_infos) -> "PyObject": ...
    def pygc_delete_groups(self, _self, groups, new_current) -> "PyObject": ...
    def pygc_set_groups_visibility(self, _self, groups, expand, new_current) -> "PyObject": ...
    def set_script_timeout(self, timeout) -> "int": ...

class loader_input_t(object):
    @property
    def __idc_cvt_id__(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, pycapsule=None) -> "None": ...
    def close(self) -> ""void"": ...
    def extend_sign(self, v, nbytes, sign_extend) -> "uint64": ...
    def file2base(self, pos, ea1, ea2, patchable) -> "int": ...
    def filename(self) -> "PyObject": ...
    def from_capsule(self, pycapsule) -> ""loader_input_t *"": ...
    def from_fp(self, fp) -> "loader_input_t": ...
    def from_linput(self, linput) -> "loader_input_t": ...
    def get_byte(self) -> ""PyObject *"": ...
    def get_linput(self) -> ""linput_t *"": ...
    def gets(self, len) -> "PyObject": ...
    def getz(self, size, fpos) -> ""PyObject *"": ...
    def log2ceil(self, d64) -> "int": ...
    def log2floor(self, d64) -> "int": ...
    def open(self, filename, remote) -> "bool": ...
    def open_memory(self, start, size) -> "bool": ...
    def opened(self) -> "bool": ...
    def qatoll(self, nptr) -> "int64": ...
    def qvector_reserve(self, vec, old, cnt, elsize) -> "void": ...
    def read(self, size) -> ""PyObject *"": ...
    def readbytes(self, h, res, size, mf) -> "int": ...
    def seek(self, offset, whence) -> ""int64"": ...
    def set_linput(self, linput) -> ""void"": ...
    def size(self) -> ""int64"": ...
    def tell(self) -> "int": ...
    def writebytes(self, h, l, size, mf) -> "int": ...

class qrefcnt_obj_t(object):
    @property
    def refcnt(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...
    def is_cvt64(self) -> "bool": ...
    def release(self) -> ""void"": ...

class channel_redir_t(object):
    @property
    def fd(self) -> "int": ...
    @property
    def file(self) -> "qstring": ...
    @property
    def flags(self) -> "int": ...
    @property
    def length(self) -> "int": ...
    @property
    def start(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def is_append(self) -> "bool": ...
    def is_input(self) -> "bool": ...
    def is_output(self) -> "bool": ...
    def is_quoted(self) -> "bool": ...

class plugin_options_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def check_process_exit(self, handle, exit_code, msecs=-1) -> "int": ...
    def erase(self, name) -> ""bool"": ...
    def find(self, name) -> "plugin_option_t const": ...
    def is_control_tty(self, fd) -> "enum tty_control_t": ...

class instant_dbgopts_t(object):
    @property
    def _pass(self) -> "qstring": ...
    @property
    def attach(self) -> "bool": ...
    @property
    def debmod(self) -> "qstring": ...
    @property
    def env(self) -> "qstring": ...
    @property
    def event_id(self) -> "int": ...
    @property
    def host(self) -> "qstring": ...
    @property
    def pid(self) -> "int": ...
    @property
    def port(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class __qthread_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def is_main_thread(self) -> "bool": ...

class __qsemaphore_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _lock) -> "None": ...
    def get_available_core_count(self) -> "int": ...
    def get_logical_core_count(self) -> "int": ...
    def get_physical_core_count(self) -> "int": ...

class __qmutex_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class qmutex_locker_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _lock) -> "None": ...

class intvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""int const &"": ...
    def begin(self) -> "int": ...
    def capacity(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, *args) -> ""qvector< int >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> "int": ...
    def find(self, x) -> "int": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "int": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class uintvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""unsigned int const &"": ...
    def begin(self) -> "int": ...
    def capacity(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, *args) -> ""qvector< unsigned int >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> "int": ...
    def find(self, x) -> "int": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "int": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class int64vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""long long const &"": ...
    def begin(self) -> "int": ...
    def capacity(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, *args) -> ""qvector< long long >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> "int": ...
    def find(self, x) -> "int": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "int": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class uint64vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""unsigned long long const &"": ...
    def begin(self) -> "int": ...
    def capacity(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, *args) -> ""qvector< unsigned long long >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> "int": ...
    def find(self, x) -> "int": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "int": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class boolvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "bool": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""bool const &"": ...
    def begin(self, *args) -> ""qvector< bool >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "bool": ...
    def erase(self, *args) -> ""qvector< bool >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""bool *"": ...
    def find(self, x) -> "bool": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "bool": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class strvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> "size_t const": ...
    def __len__(self) -> "size_t": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""simpleline_t const &"": ...
    def begin(self, *args) -> ""qvector< simpleline_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "list": ...
    def erase(self, *args) -> ""qvector< simpleline_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""simpleline_t *"": ...
    def find(self, x) -> "list": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "list": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "size_t": ...
    def qclear(self) -> ""void"": ...
    def qstrvec_t_add(self, _self, s) -> "bool": ...
    def qstrvec_t_addressof(self, _self, idx) -> "PyObject": ...
    def qstrvec_t_assign(self, _self, other) -> "bool": ...
    def qstrvec_t_clear(self, _self, qclear) -> "bool": ...
    def qstrvec_t_create(self) -> "PyObject": ...
    def qstrvec_t_destroy(self, py_obj) -> "bool": ...
    def qstrvec_t_from_list(self, _self, py_list) -> "bool": ...
    def qstrvec_t_get(self, _self, idx) -> "PyObject": ...
    def qstrvec_t_get_clink(self, _self) -> "qstrvec_t": ...
    def qstrvec_t_get_clink_ptr(self, _self) -> "PyObject": ...
    def qstrvec_t_insert(self, _self, idx, s) -> "bool": ...
    def qstrvec_t_remove(self, _self, idx) -> "bool": ...
    def qstrvec_t_set(self, _self, idx, s) -> "bool": ...
    def qstrvec_t_size(self, _self) -> "size_t": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def str2user(self, str) -> "PyObject": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class sizevec_t(object):
    @property
    def size(self) -> "Any": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> ""size_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> ""bool"": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""size_t const &"": ...
    def begin(self, *args) -> ""qvector< size_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< size_t >": ...
    def erase(self, *args) -> ""qvector< size_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""size_t *"": ...
    def find(self, *args) -> ""qvector< size_t >": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> ""bool"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< size_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""size_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class _qstrvec_t(ida_idaapi.py_clinked_object_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, items) -> "None": ...
    def __get_size(self) -> "Any": ...
    def __getitem__(self, idx) -> "Any": ...
    def __setitem__(self, idx, s) -> "Any": ...
    def _create_clink(self) -> "Any": ...
    def _del_clink(self, lnk) -> "Any": ...
    def _get_clink_ptr(self) -> "Any": ...
    def add(self, s) -> "Any": ...
    def add_idc_class(self, name, super=None) -> "idc_class_t": ...
    def add_idc_gvar(self, name) -> "idc_value_t": ...
    def addressof(self, idx) -> "Any": ...
    def assign(self, other) -> "Any": ...
    def clear(self, qclear) -> "Any": ...
    def compile_idc_file(self, nonnul_line) -> "bool": ...
    def compile_idc_text(self, nonnul_line) -> "bool": ...
    def copy_idcv(self, dst, src) -> "error_t": ...
    def create_idcv_ref(self, ref, v) -> "bool": ...
    def deep_copy_idcv(self, dst, src) -> "error_t": ...
    def del_idcv_attr(self, obj, attr) -> "error_t": ...
    def deref_idcv(self, v, vref_flags) -> "idc_value_t": ...
    def eval_expr(self, rv, where, line) -> "bool": ...
    def eval_idc_expr(self, rv, where, line) -> "bool": ...
    def find_idc_class(self, name) -> "idc_class_t": ...
    def find_idc_gvar(self, name) -> "idc_value_t": ...
    def first_idcv_attr(self, obj) -> "char const": ...
    def from_list(self, lst) -> "Any": ...
    def get_idcv_attr(self, res, obj, attr, may_use_getattr=False) -> "error_t": ...
    def get_idcv_class_name(self, obj) -> "error_t": ...
    def get_idcv_slice(self, res, v, i1, i2, flags=0) -> "error_t": ...
    def idcv_float(self, v) -> "error_t": ...
    def idcv_int64(self, v) -> "error_t": ...
    def idcv_long(self, v) -> "error_t": ...
    def idcv_num(self, v) -> "error_t": ...
    def idcv_object(self, v, icls=None) -> "error_t": ...
    def idcv_string(self, v) -> "error_t": ...
    def insert(self, idx, s) -> "Any": ...
    def last_idcv_attr(self, obj) -> "char const": ...
    def move_idcv(self, dst, src) -> "error_t": ...
    def next_idcv_attr(self, obj, attr) -> "char const": ...
    def prev_idcv_attr(self, obj, attr) -> "char const": ...
    def print_idcv(self, v, name=None, indent=0) -> "bool": ...
    def py_add_idc_func(self, name, fp_ptr, args, defvals, flags) -> "bool": ...
    def py_get_call_idc_func(self) -> "size_t": ...
    def pyw_convert_defvals(self, out, py_seq) -> "bool": ...
    def pyw_register_idc_func(self, name, args, py_fp) -> "size_t": ...
    def pyw_unregister_idc_func(self, ctxptr) -> "bool": ...
    def remove(self, idx) -> "Any": ...
    def set_idcv_attr(self, obj, attr, value, may_use_setattr=False) -> "error_t": ...
    def set_idcv_slice(self, v, i1, i2, _in, flags=0) -> "error_t": ...

class idc_value_t(object):
    @property
    def e(self) -> "fpvalue_t": ...
    @property
    def funcidx(self) -> "int": ...
    @property
    def i64(self) -> "int64": ...
    @property
    def num(self) -> "sval_t": ...
    @property
    def str(self) -> "Any": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def vtype(self) -> "char": ...
    def __init__(self, n=0) -> "None": ...
    def _create_empty_string(self) -> ""void"": ...
    def c_str(self) -> "str": ...
    def clear(self) -> ""void"": ...
    def create_empty_string(self) -> ""void"": ...
    def is_convertible(self) -> "bool": ...
    def is_integral(self) -> "bool": ...
    def is_zero(self) -> "bool": ...
    def qstr(self) -> ""qstring const &"": ...
    def set_float(self, f) -> ""void"": ...
    def set_int64(self, v) -> ""void"": ...
    def set_long(self, v) -> ""void"": ...
    def set_pvoid(self, p) -> ""void"": ...
    def set_string(self, *args) -> ""void"": ...
    def swap(self, v) -> ""void"": ...
    def u_str(self) -> ""uchar const *"": ...

class idc_global_t(object):
    @property
    def name(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "idc_value_t": ...
    def __init__(self) -> "None": ...
    def find_idc_func(self, prefix, n=0) -> "bool": ...

class highlighter_cbs_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def compile_idc_snippet(self, func, text, resolver=None, only_safe_funcs=False) -> "bool": ...
    def cur_block_state(self) -> "int": ...
    def exec_idc_script(self, result, path, func, args, argsnum) -> "bool": ...
    def exec_system_script(self, file, complain_if_no_file=True) -> "bool": ...
    def get_idc_filename(self, file) -> "char": ...
    def prev_block_state(self) -> ""int32"": ...
    def set_block_state(self, arg0) -> ""void"": ...
    def set_style(self, arg0, arg1, arg2) -> ""void"": ...
    def throw_idc_exception(self, r, desc) -> "error_t": ...

class idc_values_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> ""idc_value_t const &"": ...
    def __len__(self) -> "size_t": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""idc_value_t const &"": ...
    def begin(self, *args) -> ""qvector< idc_value_t >": ...
    def call_idc_func__(self, *args) -> "Any": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "idc_value_t": ...
    def erase(self, *args) -> ""qvector< idc_value_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""idc_value_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "idc_value_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "idc_value_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class _IdcFunction(object):
    @property
    def thisown(self) -> "Any": ...
    @property
    def fp_ptr(self) -> "Any": ...
    def __init__(self, ctxptr) -> "None": ...
    def __call__(self, args, res) -> "Any": ...

class rangevec_base_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""range_t const &"": ...
    def begin(self, *args) -> ""qvector< range_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "range_t": ...
    def erase(self, *args) -> ""qvector< range_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""range_t *"": ...
    def find(self, x) -> "range_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "range_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "range_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class array_of_rangesets(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "rangeset_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""rangeset_t const &"": ...
    def begin(self, *args) -> ""qvector< rangeset_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "rangeset_t": ...
    def erase(self, *args) -> ""qvector< rangeset_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""rangeset_t *"": ...
    def find(self, x) -> "rangeset_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "rangeset_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "rangeset_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class range_t(object):
    @property
    def end_ea(self) -> "ea_t": ...
    @property
    def start_ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, ea1=0, ea2=0) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def _print(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def compare(self, r) -> ""int"": ...
    def contains(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def extend(self, ea) -> ""void"": ...
    def intersect(self, r) -> ""void"": ...
    def overlaps(self, r) -> "bool": ...
    def size(self) -> ""asize_t"": ...

class rangevec_t(rangevec_base_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, aset) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""range_t const &"": ...
    def begin(self, *args) -> ""qvector< range_t >": ...
    def cached_range(self) -> "range_t": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def contains(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "range_t": ...
    def erase(self, *args) -> ""qvector< range_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""range_t *"": ...
    def find(self, x) -> "range_t": ...
    def getrange(self, idx) -> "range_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def includes(self, range) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "range_t": ...
    def intersect(self, aset) -> "bool": ...
    def is_equal(self, aset) -> "bool": ...
    def nranges(self) -> "size_t": ...
    def pop_back(self) -> ""void"": ...
    def prev_addr(self, ea) -> "ea_t": ...
    def prev_range(self, ea) -> "ea_t": ...
    def push_back(self) -> "range_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def sub(self, range) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class rangeset_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, aset) -> ""bool"": ...
    def __getitem__(self, idx) -> "Any": ...
    def __ne__(self, aset) -> ""bool"": ...
    def _print(self, *args) -> ""size_t"": ...
    def add(self, *args) -> ""bool"": ...
    def as_rangevec(self) -> ""rangevec_t const &"": ...
    def begin(self) -> ""rangeset_t": ...
    def cached_range(self) -> ""range_t const *"": ...
    def clear(self) -> ""void"": ...
    def contains(self, *args) -> ""bool"": ...
    def empty(self) -> ""bool"": ...
    def end(self) -> ""rangeset_t": ...
    def find_range(self, ea: "ea_t") -> "int": ...
    def getrange(self, idx) -> ""range_t const &"": ...
    def has_common(self, *args) -> "bool": ...
    def includes(self, range) -> ""bool"": ...
    def intersect(self, aset) -> ""bool"": ...
    def is_equal(self, aset: "rangeset_t") -> "bool": ...
    def is_subset_of(self, aset: "rangeset_t") -> "bool": ...
    def lastrange(self) -> ""range_t const &"": ...
    def next_addr(self, ea) -> ""ea_t"": ...
    def next_range(self, ea) -> ""ea_t"": ...
    def nranges(self) -> ""size_t"": ...
    def prev_addr(self, ea) -> ""ea_t"": ...
    def prev_range(self, ea) -> ""ea_t"": ...
    def sub(self, *args) -> ""bool"": ...
    def swap(self, r) -> ""void"": ...

class edge_t(object):
    @property
    def dst(self) -> "int": ...
    @property
    def src(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, x=0, y=0) -> "None": ...
    def __eq__(self, y) -> "bool": ...
    def __lt__(self, y) -> ""bool"": ...
    def __ne__(self, y) -> ""bool"": ...

class edgevec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def clr(self, _node) -> "bool": ...
    def order(self, _node) -> "int": ...
    def size(self) -> "size_t": ...

class node_ordering_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def clear(self) -> ""void"": ...
    def clr(self, _node) -> ""bool"": ...
    def node(self, _order) -> ""int"": ...
    def order(self, _node) -> ""int"": ...
    def resize(self, n) -> ""void"": ...
    def set(self, _node, num) -> ""void"": ...
    def size(self) -> ""size_t"": ...

class node_iterator(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _g, n) -> "None": ...
    def __eq__(self, n) -> ""bool"": ...
    def __ne__(self, n) -> "bool": ...
    def __ref__(self) -> ""int"": ...

class gdl_graph_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def begin(self) -> "node_iterator": ...
    def display_gdl(self, fname) -> "int": ...
    def edge(self, node, i, ispred) -> "int": ...
    def empty(self) -> "bool": ...
    def end(self) -> ""node_iterator"": ...
    def entry(self) -> "int": ...
    def exists(self, node) -> ""bool"": ...
    def exit(self) -> ""int"": ...
    def front(self) -> ""int"": ...
    def gen_complex_call_chart(self, filename, wait, title, ea1, ea2, flags, recursion_depth=-1) -> "bool": ...
    def gen_flow_graph(self, filename, title, pfn, ea1, ea2, gflags) -> "bool": ...
    def gen_simple_call_chart(self, filename, wait, title, gflags) -> "bool": ...
    def get_edge_color(self, i, j) -> "bgcolor_t": ...
    def get_node_color(self, n) -> ""bgcolor_t"": ...
    def get_node_label(self, n) -> "str": ...
    def nedge(self, node, ispred) -> ""size_t"": ...
    def node_qty(self) -> "int": ...
    def npred(self, node) -> ""int"": ...
    def nsucc(self, node) -> "int": ...
    def pred(self, node, i) -> ""int"": ...
    def print_edge(self, fp, i, j) -> ""bool"": ...
    def print_graph_attributes(self, fp) -> ""void"": ...
    def print_node(self, fp, n) -> "bool": ...
    def print_node_attributes(self, fp, n) -> ""void"": ...
    def size(self) -> ""int"": ...
    def succ(self, node, i) -> "int": ...

class cancellable_graph_t(gdl_graph_t):
    @property
    def cancelled(self) -> "bool": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def begin(self) -> "node_iterator": ...
    def display_gdl(self, fname) -> "int": ...
    def edge(self, node, i, ispred) -> "int": ...
    def empty(self) -> "bool": ...
    def end(self) -> ""node_iterator"": ...
    def entry(self) -> "int": ...
    def exists(self, node) -> ""bool"": ...
    def exit(self) -> ""int"": ...
    def front(self) -> ""int"": ...
    def gen_complex_call_chart(self, filename, wait, title, ea1, ea2, flags, recursion_depth=-1) -> "bool": ...
    def gen_flow_graph(self, filename, title, pfn, ea1, ea2, gflags) -> "bool": ...
    def gen_simple_call_chart(self, filename, wait, title, gflags) -> "bool": ...
    def get_edge_color(self, i, j) -> "bgcolor_t": ...
    def get_node_color(self, n) -> ""bgcolor_t"": ...
    def get_node_label(self, n) -> "str": ...
    def is_ret_block(self, btype) -> "bool": ...
    def nedge(self, node, ispred) -> ""size_t"": ...
    def node_qty(self) -> "int": ...
    def npred(self, node) -> ""int"": ...
    def nsucc(self, node) -> "int": ...
    def pred(self, node, i) -> ""int"": ...
    def print_edge(self, fp, i, j) -> ""bool"": ...
    def print_graph_attributes(self, fp) -> ""void"": ...
    def print_node(self, fp, n) -> "bool": ...
    def print_node_attributes(self, fp, n) -> ""void"": ...
    def size(self) -> ""int"": ...
    def succ(self, node, i) -> "int": ...

class qbasic_block_t(range_t):
    @property
    def end_ea(self) -> "ea_t": ...
    @property
    def start_ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def _print(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def compare(self, r) -> ""int"": ...
    def contains(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def extend(self, ea) -> ""void"": ...
    def intersect(self, r) -> ""void"": ...
    def overlaps(self, r) -> "bool": ...
    def size(self) -> ""asize_t"": ...

class qflow_chart_t(cancellable_graph_t):
    @property
    def bounds(self) -> "range_t": ...
    @property
    def cancelled(self) -> "bool": ...
    @property
    def flags(self) -> "int": ...
    @property
    def nproper(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def title(self) -> "qstring": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def __getitem__(self, n) -> ""qbasic_block_t *"": ...
    def append_to_flowchart(self, ea1, ea2) -> ""void"": ...
    def begin(self) -> "node_iterator": ...
    def calc_block_type(self, blknum) -> "fc_block_type_t": ...
    def create(self, *args) -> ""void"": ...
    def display_gdl(self, fname) -> "int": ...
    def edge(self, node, i, ispred) -> "int": ...
    def empty(self) -> "bool": ...
    def end(self) -> ""node_iterator"": ...
    def entry(self) -> "int": ...
    def exists(self, node) -> ""bool"": ...
    def exit(self) -> ""int"": ...
    def front(self) -> ""int"": ...
    def gen_complex_call_chart(self, filename, wait, title, ea1, ea2, flags, recursion_depth=-1) -> "bool": ...
    def gen_flow_graph(self, filename, title, pfn, ea1, ea2, gflags) -> "bool": ...
    def gen_simple_call_chart(self, filename, wait, title, gflags) -> "bool": ...
    def get_edge_color(self, i, j) -> "bgcolor_t": ...
    def get_node_color(self, n) -> ""bgcolor_t"": ...
    def get_node_label(self, n) -> "str": ...
    def is_noret_block(self, blknum) -> "bool": ...
    def is_ret_block(self, blknum: "size_t") -> "bool": ...
    def nedge(self, node, ispred) -> ""size_t"": ...
    def node_qty(self) -> "int": ...
    def npred(self, node) -> ""int"": ...
    def nsucc(self, node) -> "int": ...
    def pred(self, node, i) -> ""int"": ...
    def print_edge(self, fp, i, j) -> ""bool"": ...
    def print_graph_attributes(self, fp) -> ""void"": ...
    def print_names(self) -> "bool": ...
    def print_node(self, fp, n) -> "bool": ...
    def print_node_attributes(self, fp, n) -> ""void"": ...
    def refresh(self) -> ""void"": ...
    def size(self) -> ""int"": ...
    def succ(self, node, i) -> "int": ...

class BasicBlock(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, id, bb, fc) -> "None": ...
    def preds(self) -> "Any": ...
    def succs(self) -> "Any": ...

class FlowChart(object):
    @property
    def thisown(self) -> "Any": ...
    @property
    def size(self) -> "Any": ...
    def __init__(self, f, bounds, flags) -> "None": ...
    def __getitem__(self, index) -> "Any": ...
    def __iter__(self) -> "Any": ...
    def _getitem(self, index) -> "BasicBlock": ...
    def refresh(self) -> "Any": ...

class dyn_stkpnt_array(object):
    @property
    def count(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _data, _count) -> "None": ...
    def __getitem__(self, i) -> "stkpnt_t": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...

class dyn_regvar_array(object):
    @property
    def count(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _data, _count) -> "None": ...
    def __getitem__(self, i) -> "regvar_t": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...

class dyn_range_array(object):
    @property
    def count(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _data, _count) -> "None": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...

class dyn_ea_array(object):
    @property
    def count(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _data, _count) -> "None": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...

class dyn_regarg_array(object):
    @property
    def count(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _data, _count) -> "None": ...
    def __getitem__(self, i) -> "regarg_t": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...

class regarg_t(object):
    @property
    def reg(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, start=0, end=0, f=0) -> "None": ...
    def __get_referers__(self) -> "dyn_ea_array": ...
    def __get_regvars__(self) -> "dyn_regvar_array": ...
    def analyzed_sp(self) -> "bool": ...
    def get_frame_object(self) -> "tinfo_t": ...
    def get_prototype(self) -> "tinfo_t": ...
    def is_far(self) -> "bool": ...
    def is_func_entry(self, pfn) -> "bool": ...
    def is_func_tail(self, pfn) -> "bool": ...
    def swap(self, r) -> ""void"": ...

class func_t(range_t):
    @property
    def argsize(self) -> "asize_t": ...
    @property
    def color(self) -> "bgcolor_t": ...
    @property
    def end_ea(self) -> "ea_t": ...
    @property
    def flags(self) -> "uint64": ...
    @property
    def fpd(self) -> "asize_t": ...
    @property
    def frame(self) -> "uval_t": ...
    @property
    def frame_object(self) -> "Any": ...
    @property
    def frregs(self) -> "ushort": ...
    @property
    def frsize(self) -> "asize_t": ...
    @property
    def name(self) -> "Any": ...
    @property
    def owner(self) -> "ea_t": ...
    @property
    def pntqty(self) -> "uint32": ...
    @property
    def points(self) -> "Any": ...
    @property
    def prototype(self) -> "Any": ...
    @property
    def referers(self) -> "Any": ...
    @property
    def refqty(self) -> "int": ...
    @property
    def regargqty(self) -> "int": ...
    @property
    def regargs(self) -> "Any": ...
    @property
    def regvarqty(self) -> "int": ...
    @property
    def regvars(self) -> "Any": ...
    @property
    def start_ea(self) -> "ea_t": ...
    @property
    def tailqty(self) -> "int": ...
    @property
    def tails(self) -> "Any": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, start, end, f) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __get_points__(self) -> ""dynamic_wrapped_array_t< stkpnt_t >"": ...
    def __get_referers__(self) -> ""dynamic_wrapped_array_t< ea_t >"": ...
    def __get_regargs__(self) -> ""dynamic_wrapped_array_t< regarg_t >"": ...
    def __get_regvars__(self) -> ""dynamic_wrapped_array_t< regvar_t >"": ...
    def __get_tails__(self) -> ""dynamic_wrapped_array_t< range_t >"": ...
    def __gt__(self, r) -> "bool": ...
    def __iter__(self) -> "Any": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def _print(self) -> "size_t": ...
    def addresses(self) -> "Any": ...
    def analyzed_sp(self) -> ""bool"": ...
    def clear(self) -> ""void"": ...
    def code_items(self) -> "Any": ...
    def compare(self, r) -> ""int"": ...
    def contains(self, ea) -> "bool": ...
    def data_items(self) -> "Any": ...
    def does_return(self) -> ""bool"": ...
    def empty(self) -> "bool": ...
    def extend(self, ea) -> ""void"": ...
    def get_frame_object(self) -> ""tinfo_t"": ...
    def get_name(self) -> "str": ...
    def get_prototype(self) -> ""tinfo_t"": ...
    def head_items(self) -> "Any": ...
    def intersect(self, r) -> ""void"": ...
    def is_far(self) -> "bool": ...
    def need_prolog_analysis(self) -> ""bool"": ...
    def not_tails(self) -> "Any": ...
    def overlaps(self, r) -> "bool": ...
    def size(self) -> ""asize_t"": ...

class lock_func(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, pfn) -> "None": ...
    def add_func(self, ea1, ea2=BADADDR) -> "bool": ...
    def add_func_ex(self, pfn) -> "bool": ...
    def append_func_tail(self, pfn, ea1, ea2) -> "bool": ...
    def calc_func_size(self, pfn) -> "asize_t": ...
    def calc_thunk_func_target(self, pfn) -> "ea_t": ...
    def del_func(self, ea) -> "bool": ...
    def f_any(self, arg1, arg2) -> "bool": ...
    def find_func_bounds(self, nfn, flags) -> "int": ...
    def func_contains(self, pfn, ea) -> "bool": ...
    def func_does_return(self, callee) -> "bool": ...
    def func_parent_iterator_set(self, fpi, pfn) -> "bool": ...
    def func_tail_iterator_set(self, fti, pfn, ea) -> "bool": ...
    def func_tail_iterator_set_ea(self, fti, ea) -> "bool": ...
    def get_fchunk(self, ea) -> "func_t": ...
    def get_fchunk_num(self, ea) -> "int": ...
    def get_fchunk_qty(self) -> "size_t": ...
    def get_func(self, ea) -> "func_t": ...
    def get_func_bitness(self, pfn) -> "int": ...
    def get_func_bits(self, pfn) -> "int": ...
    def get_func_bytes(self, pfn) -> "int": ...
    def get_func_chunknum(self, pfn, ea) -> "int": ...
    def get_func_cmt(self, pfn, repeatable) -> "ssize_t": ...
    def get_func_name(self, ea) -> "ssize_t": ...
    def get_func_num(self, ea) -> "int": ...
    def get_func_qty(self) -> "size_t": ...
    def get_func_ranges(self, ranges, pfn) -> "ea_t": ...
    def get_next_fchunk(self, ea) -> "func_t": ...
    def get_next_func(self, ea) -> "func_t": ...
    def get_prev_fchunk(self, ea) -> "func_t": ...
    def get_prev_func(self, ea) -> "func_t": ...
    def getn_fchunk(self, n) -> "func_t": ...
    def getn_func(self, n) -> "func_t": ...
    def is_finally_visible_func(self, pfn) -> "bool": ...
    def is_same_func(self, ea1, ea2) -> "bool": ...
    def is_visible_func(self, pfn) -> "bool": ...
    def reanalyze_noret_flag(self, ea) -> "bool": ...
    def remove_func_tail(self, pfn, tail_ea) -> "bool": ...
    def set_func_cmt(self, pfn, cmt, repeatable) -> "bool": ...
    def set_func_end(self, ea, newend) -> "bool": ...
    def set_func_name_if_jumpfunc(self, pfn, oldname) -> "int": ...
    def set_func_start(self, ea, newstart) -> "int": ...
    def set_noret_insn(self, insn_ea, noret) -> "bool": ...
    def set_tail_owner(self, fnt, new_owner) -> "bool": ...
    def update_func(self, pfn) -> "bool": ...

class lock_func_with_tails_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, pfn) -> "None": ...

class func_tail_iterator_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __iter__(self) -> "Any": ...
    def __next__(self) -> "bool": ...
    def chunk(self) -> ""range_t const &"": ...
    def first(self) -> "bool": ...
    def last(self) -> ""bool"": ...
    def main(self) -> "bool": ...
    def prev(self) -> ""bool"": ...
    def set(self, _pfn, ea=BADADDR) -> "bool": ...
    def set_ea(self, ea) -> ""bool"": ...
    def set_range(self, ea1, ea2) -> "bool": ...

class func_item_iterator_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __iter__(self) -> "Any": ...
    def __next__(self, func) -> ""bool"": ...
    def addresses(self) -> "Any": ...
    def chunk(self) -> "range_t": ...
    def code_items(self) -> "Any": ...
    def current(self) -> "ea_t": ...
    def data_items(self) -> "Any": ...
    def decode_preceding_insn(self, visited, p_farref, out) -> "bool": ...
    def decode_prev_insn(self, out) -> ""bool"": ...
    def first(self) -> "bool": ...
    def head_items(self) -> "Any": ...
    def last(self) -> ""bool"": ...
    def next_addr(self) -> ""bool"": ...
    def next_code(self) -> ""bool"": ...
    def next_data(self) -> "bool": ...
    def next_head(self) -> "bool": ...
    def next_not_tail(self) -> ""bool"": ...
    def not_tails(self) -> "Any": ...
    def prev(self, func) -> "bool": ...
    def prev_addr(self) -> "bool": ...
    def prev_code(self) -> "bool": ...
    def prev_data(self) -> ""bool"": ...
    def prev_head(self) -> ""bool"": ...
    def prev_not_tail(self) -> "bool": ...
    def set(self, pfn, _ea=BADADDR) -> "bool": ...
    def set_ea(self, _ea) -> ""bool"": ...
    def set_range(self, ea1, ea2) -> ""bool"": ...
    def succ(self, func) -> ""bool"": ...
    def succ_code(self) -> "bool": ...

class func_parent_iterator_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __iter__(self) -> "Any": ...
    def __next__(self) -> "bool": ...
    def apply_idasgn_to(self, signame, ea, is_startup) -> "int": ...
    def apply_startup_sig(self, ea, startup) -> "bool": ...
    def calc_idasgn_state(self, n) -> "int": ...
    def del_idasgn(self, n) -> "int": ...
    def first(self) -> "bool": ...
    def func_t__from_ptrval__(self, ptrval) -> "func_t": ...
    def get_current_idasgn(self) -> "int": ...
    def get_fchunk_referer(self, ea, idx) -> "ea_t": ...
    def get_idasgn_desc(self, n) -> "PyObject": ...
    def get_idasgn_desc_with_matches(self, n) -> "PyObject": ...
    def get_idasgn_qty(self) -> "int": ...
    def get_idasgn_title(self, name) -> "ssize_t": ...
    def get_next_func_addr(self, pfn, ea) -> "ea_t": ...
    def get_prev_func_addr(self, pfn, ea) -> "ea_t": ...
    def last(self) -> ""bool"": ...
    def parent(self) -> ""ea_t"": ...
    def plan_to_apply_idasgn(self, fname) -> "int": ...
    def prev(self) -> ""bool"": ...
    def reset_fnt(self, _fnt) -> ""void"": ...
    def set(self, _fnt) -> "bool": ...
    def try_to_add_libfunc(self, ea) -> "int": ...

class segment_defsr_array(object):
    @property
    def bytes(self) -> "Any": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, data) -> "None": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _get_bytes(self) -> "bytevec_t": ...
    def _set_bytes(self, bts) -> ""void"": ...
    def set_segment_translations(self, segstart, transmap) -> "bool": ...

class segment_t(range_t):
    @property
    def align(self) -> "uchar": ...
    @property
    def bitness(self) -> "uchar": ...
    @property
    def color(self) -> "bgcolor_t": ...
    @property
    def comb(self) -> "uchar": ...
    @property
    def defsr(self) -> "sel_t [16]": ...
    @property
    def end_ea(self) -> "ea_t": ...
    @property
    def flags(self) -> "ushort": ...
    @property
    def label(self) -> "str": ...
    @property
    def name(self) -> "uval_t": ...
    @property
    def orgbase(self) -> "uval_t": ...
    @property
    def perm(self) -> "uchar": ...
    @property
    def sclass(self) -> "uval_t": ...
    @property
    def sel(self) -> "sel_t": ...
    @property
    def start_ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "uchar": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __getDefsr(self) -> "segment_defsr_array": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def _print(self) -> "size_t": ...
    def abits(self) -> ""int"": ...
    def abytes(self) -> "int": ...
    def clear(self) -> ""void"": ...
    def clr_comorg(self) -> ""void"": ...
    def clr_ob_ok(self) -> ""void"": ...
    def comorg(self) -> "bool": ...
    def compare(self, r) -> ""int"": ...
    def contains(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def extend(self, ea) -> ""void"": ...
    def get_label(self) -> "Any": ...
    def intersect(self, r) -> ""void"": ...
    def is_16bit(self) -> "bool": ...
    def is_32bit(self) -> "bool": ...
    def is_64bit(self) -> "bool": ...
    def is_finally_visible_segm(self, s) -> "bool": ...
    def is_header_segm(self) -> "bool": ...
    def is_hidden_segtype(self) -> "bool": ...
    def is_loader_segm(self) -> "bool": ...
    def is_spec_ea(self, ea) -> "bool": ...
    def is_spec_segm(self, seg_type) -> "bool": ...
    def is_visible_segm(self, s) -> "bool": ...
    def ob_ok(self) -> ""bool"": ...
    def overlaps(self, r) -> "bool": ...
    def set_comorg(self) -> ""void"": ...
    def set_debugger_segm(self, debseg) -> ""void"": ...
    def set_header_segm(self, on) -> ""void"": ...
    def set_hidden_segtype(self, hide) -> ""void"": ...
    def set_loader_segm(self, ldrseg) -> ""void"": ...
    def set_ob_ok(self) -> ""void"": ...
    def set_visible_segm(self, visible) -> ""void"": ...
    def size(self) -> ""asize_t"": ...
    def update(self) -> "bool": ...

class lock_segment(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _segm) -> "None": ...
    def add_segm(self, para, start, end, name, sclass, flags=0) -> "bool": ...
    def add_segm_ex(self, s, name, sclass, flags) -> "bool": ...
    def add_segment_translation(self, segstart, mappedseg) -> "bool": ...
    def allocate_selector(self, segbase) -> "sel_t": ...
    def change_segment_status(self, s, is_deb_segm) -> "int": ...
    def del_segm(self, ea, flags) -> "bool": ...
    def find_free_selector(self) -> "sel_t": ...
    def find_selector(self, base) -> "sel_t": ...
    def get_defsr(self, s, reg) -> "sel_t": ...
    def get_first_seg(self) -> "segment_t": ...
    def get_group_selector(self, grpsel) -> "sel_t": ...
    def get_last_seg(self) -> "segment_t": ...
    def get_next_seg(self, ea) -> "segment_t": ...
    def get_prev_seg(self, ea) -> "segment_t": ...
    def get_segm_base(self, s) -> "ea_t": ...
    def get_segm_by_name(self, name) -> "segment_t": ...
    def get_segm_by_sel(self, selector) -> "segment_t": ...
    def get_segm_class(self, s) -> "ssize_t": ...
    def get_segm_name(self, s, flags=0) -> "ssize_t": ...
    def get_segm_num(self, ea) -> "int": ...
    def get_segm_para(self, s) -> "ea_t": ...
    def get_segm_qty(self) -> "int": ...
    def get_segment_alignment(self, align) -> "char const": ...
    def get_segment_cmt(self, s, repeatable) -> "ssize_t": ...
    def get_segment_combination(self, comb) -> "char const": ...
    def get_segment_translations(self, transmap, segstart) -> "ssize_t": ...
    def get_selector_qty(self) -> "size_t": ...
    def get_visible_segm_name(self, s) -> "ssize_t": ...
    def getn_selector(self, n) -> "bool": ...
    def getnseg(self, n) -> "segment_t": ...
    def getseg(self, ea) -> "segment_t": ...
    def is_miniidb(self) -> "bool": ...
    def move_segm(self, s, to, flags=0) -> "move_segm_code_t": ...
    def move_segm_start(self, ea, newstart, mode) -> "bool": ...
    def move_segm_strerror(self, code) -> "char const": ...
    def rebase_program(self, delta, flags) -> "int": ...
    def segm_adjust_diff(self, s, delta) -> "adiff_t": ...
    def segm_adjust_ea(self, s, ea) -> "ea_t": ...
    def segtype(self, ea) -> "uchar": ...
    def sel2ea(self, selector) -> "ea_t": ...
    def sel2para(self, selector) -> "ea_t": ...
    def set_group_selector(self, grp, sel) -> "int": ...
    def set_segm_addressing(self, s, bitness) -> "bool": ...
    def set_segm_base(self, s, newbase) -> "bool": ...
    def set_segm_class(self, s, sclass, flags=0) -> "int": ...
    def set_segm_end(self, ea, newend, flags) -> "bool": ...
    def set_segm_name(self, s, name, flags=0) -> "int": ...
    def set_segm_start(self, ea, newstart, flags) -> "bool": ...
    def set_selector(self, selector, paragraph) -> "int": ...
    def setup_selector(self, segbase) -> "sel_t": ...
    def take_memory_snapshot(self, type) -> "bool": ...
    def update_segm(self, s) -> "bool": ...

class direntry_vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "direntry_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""direntry_t const &"": ...
    def begin(self, *args) -> ""qvector< direntry_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "direntry_t": ...
    def erase(self, *args) -> ""qvector< direntry_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""direntry_t *"": ...
    def find(self, x) -> "direntry_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "direntry_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "direntry_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class dirtree_cursor_vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "dirtree_cursor_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""dirtree_cursor_t const &"": ...
    def begin(self, *args) -> ""qvector< dirtree_cursor_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "dirtree_cursor_t": ...
    def erase(self, *args) -> ""qvector< dirtree_cursor_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""dirtree_cursor_t *"": ...
    def find(self, x) -> "dirtree_cursor_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "dirtree_cursor_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "dirtree_cursor_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class direntry_t(object):
    @property
    def idx(self) -> "uval_t": ...
    @property
    def isdir(self) -> "bool": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _parent=BADIDX, _rank=size_t(-1)) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> "bool": ...
    def get_inode(self, dirpath, name) -> "inode_t": ...
    def is_orderable(self) -> "bool": ...
    def is_root_cursor(self) -> "bool": ...
    def rename_inode(self, inode, newname) -> "bool": ...
    def root_cursor(self) -> "dirtree_cursor_t": ...
    def valid(self) -> ""bool"": ...

class dirspec_t(object):
    @property
    def flags(self) -> "uint32": ...
    @property
    def id(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, nm, f) -> "None": ...
    def __disown__(self) -> "Any": ...
    def get_attrs(self, inode) -> ""qstring"": ...
    def get_inode(self, dirpath, name) -> ""inode_t"": ...
    def get_name(self, inode: "inode_t", name_flags: "uint32") -> "str": ...
    def is_orderable(self) -> "bool": ...
    def rename_inode(self, inode, newname) -> ""bool"": ...
    def unlink_inode(self, inode) -> ""void"": ...

class dirtree_cursor_t(object):
    @property
    def parent(self) -> "diridx_t": ...
    @property
    def rank(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> ""bool"": ...
    def compare(self, r) -> ""int"": ...
    def is_root_cursor(self) -> "bool": ...
    def root_cursor(self) -> ""dirtree_cursor_t"": ...
    def set_root_cursor(self) -> ""void"": ...
    def valid(self) -> ""bool"": ...

class dirtree_selection_t(dirtree_cursor_vec_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "dirtree_cursor_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""dirtree_cursor_t const &"": ...
    def begin(self, *args) -> ""qvector< dirtree_cursor_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "dirtree_cursor_t": ...
    def erase(self, *args) -> ""qvector< dirtree_cursor_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""dirtree_cursor_t *"": ...
    def find(self, x) -> "dirtree_cursor_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "dirtree_cursor_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "dirtree_cursor_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...
    def visit(self, c, de) -> "ssize_t": ...

class dirtree_iterator_t(object):
    @property
    def cursor(self) -> "dirtree_cursor_t": ...
    @property
    def pattern(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class dirtree_visitor_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def visit(self, c, de) -> ""ssize_t"": ...

class dirtree_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, ds) -> "None": ...
    def change_rank(self, path, rank_delta) -> "dterr_t": ...
    def chdir(self, path) -> ""dterr_t"": ...
    def errstr(self, err) -> ""char const *"": ...
    def find_entry(self, de) -> "dirtree_cursor_t": ...
    def findfirst(self, ff, pattern) -> ""bool"": ...
    def findnext(self, ff) -> "bool": ...
    def get_abspath(self, *args) -> ""qstring"": ...
    def get_auto_state(self) -> "atype_t": ...
    def get_dir_size(self, diridx) -> ""ssize_t"": ...
    def get_entry_attrs(self, de) -> "str": ...
    def get_entry_name(self, de, name_flags=DTN_FULL_NAME) -> "str": ...
    def get_id(self) -> "str": ...
    def get_parent_cursor(self, cursor) -> ""dirtree_cursor_t"": ...
    def get_rank(self, diridx, de) -> ""ssize_t"": ...
    def getcwd(self) -> "str": ...
    def is_dir_ordered(self, diridx: "diridx_t") -> "bool": ...
    def is_orderable(self) -> "bool": ...
    def isdir(self, de) -> "bool": ...
    def isfile(self, de) -> "bool": ...
    def link(self, *args) -> ""dterr_t"": ...
    def load(self) -> "bool": ...
    def mkdir(self, path) -> ""dterr_t"": ...
    def notify_dirtree(self, added, inode) -> ""void"": ...
    def rename(self, frm, to) -> "dterr_t": ...
    def resolve_cursor(self, cursor) -> "direntry_t": ...
    def resolve_path(self, path) -> ""direntry_t"": ...
    def rmdir(self, path) -> "dterr_t": ...
    def save(self) -> ""bool"": ...
    def set_auto_state(self, new_state) -> "atype_t": ...
    def set_id(self, nm) -> ""void"": ...
    def set_natural_order(self, diridx, enable) -> "bool": ...
    def traverse(self, v) -> ""ssize_t"": ...
    def unlink(self, path) -> "dterr_t": ...

class auto_display_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def state(self) -> "idastate_t": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "atype_t": ...
    def __init__(self) -> "None": ...
    def auto_get(self, type, lowEA, highEA) -> "ea_t": ...
    def auto_is_ok(self) -> "bool": ...
    def auto_make_step(self, ea1, ea2) -> "bool": ...
    def auto_postpone_analysis(self, ea) -> "bool": ...
    def auto_recreate_insn(self, ea) -> "int": ...
    def auto_wait(self) -> "bool": ...
    def auto_wait_range(self, ea1, ea2) -> "ssize_t": ...
    def enable_auto(self, enable) -> "bool": ...
    def is_auto_enabled(self) -> "bool": ...
    def may_create_stkvars(self) -> "bool": ...
    def may_trace_sp(self) -> "bool": ...
    def peek_auto_queue(self, low_ea, type) -> "ea_t": ...
    def plan_and_wait(self, ea1, ea2, final_pass=True) -> "int": ...
    def set_ida_state(self, st) -> "idastate_t": ...

class bitrange_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, rhs) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def __repr__(self) -> "Any": ...
    def __str__(self) -> "str": ...
    def apply_mask(self, subrange) -> ""bool"": ...
    def bitoff(self) -> "int": ...
    def bitsize(self) -> ""uint"": ...
    def bytesize(self) -> "int": ...
    def compare(self, r) -> ""int"": ...
    def create_union(self, r) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def extract(self, src, is_mf) -> ""bool"": ...
    def flush(self) -> "int": ...
    def from_capsule(self, pycapsule) -> "qfile_t": ...
    def get_byte(self) -> "PyObject": ...
    def get_fp(self) -> "FILE": ...
    def has_common(self, r) -> "bool": ...
    def init(self, bit_ofs, size_in_bits) -> ""void"": ...
    def inject(self, dst, src, is_mf) -> "bool": ...
    def intersect(self, r) -> ""void"": ...
    def mask64(self) -> ""uint64"": ...
    def open(self, filename, mode) -> "bool": ...
    def opened(self) -> "bool": ...
    def puts(self, str) -> "int": ...
    def qfclose(self, fp) -> "int": ...
    def read(self, size) -> "PyObject": ...
    def reset(self) -> ""void"": ...
    def shift_down(self, cnt) -> ""void"": ...
    def shift_up(self, cnt) -> ""void"": ...
    def sub(self, r) -> "bool": ...
    def tell(self) -> "int": ...
    def writebytes(self, py_buf, big_endian) -> "int": ...

class qfile_t(object):
    @property
    def __idc_cvt_id__(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def close(self) -> ""void"": ...
    def filename(self) -> ""PyObject *"": ...
    def flush(self) -> ""int"": ...
    def from_capsule(self, pycapsule) -> ""qfile_t *"": ...
    def from_fp(self, fp) -> ""qfile_t *"": ...
    def get_byte(self) -> ""PyObject *"": ...
    def get_fp(self) -> ""FILE *"": ...
    def gets(self, size) -> ""PyObject *"": ...
    def open(self, filename, mode) -> ""bool"": ...
    def opened(self) -> ""bool"": ...
    def put_byte(self, chr) -> ""int"": ...
    def puts(self, str) -> ""int"": ...
    def read(self, size) -> ""PyObject *"": ...
    def readbytes(self, size, big_endian) -> ""PyObject *"": ...
    def seek(self, offset, whence) -> ""int"": ...
    def size(self) -> ""int64"": ...
    def tell(self) -> ""int64"": ...
    def tmpfile(self) -> ""qfile_t *"": ...
    def write(self, py_buf) -> ""int"": ...
    def writebytes(self, py_buf, big_endian) -> ""int"": ...

class bpt_vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> ""bpt_t const &"": ...
    def __len__(self) -> "size_t": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""bpt_t const &"": ...
    def attach_process(self, pid=NO_PROCESS, event_id=-1) -> "int": ...
    def begin(self, *args) -> ""qvector< bpt_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def continue_backwards(self) -> "bool": ...
    def continue_process(self) -> "bool": ...
    def detach_process(self) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "memreg_info_t": ...
    def erase(self, *args) -> ""qvector< bpt_t >": ...
    def exit_process(self) -> "bool": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""bpt_t *"": ...
    def get_bptloc_string(self, i) -> "char const": ...
    def get_current_thread(self) -> "thid_t": ...
    def get_dbg_reg_info(self, regname, ri) -> "bool": ...
    def get_first_module(self, modinfo) -> "bool": ...
    def get_ip_val(self) -> "bool": ...
    def get_next_module(self, modinfo) -> "bool": ...
    def get_process_state(self) -> "int": ...
    def get_processes(self, proclist) -> "ssize_t": ...
    def get_running_notification(self) -> "dbg_notification_t": ...
    def get_running_request(self) -> "ui_notification_t": ...
    def get_sp_val(self) -> "bool": ...
    def get_thread_qty(self) -> "int": ...
    def getn_thread(self, n) -> "thid_t": ...
    def getn_thread_name(self, n) -> "char const": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "memreg_info_t": ...
    def invalidate_dbg_state(self, dbginv) -> "int": ...
    def is_debugger_busy(self) -> "bool": ...
    def is_reg_custom(self, regname) -> "bool": ...
    def is_reg_float(self, regname) -> "bool": ...
    def is_reg_integer(self, regname) -> "bool": ...
    def is_request_running(self) -> "bool": ...
    def is_valid_dstate(self, state) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "memreg_info_t": ...
    def qclear(self) -> ""void"": ...
    def request_attach_process(self, pid, event_id) -> "int": ...
    def request_continue_backwards(self) -> "bool": ...
    def request_continue_process(self) -> "bool": ...
    def request_detach_process(self) -> "bool": ...
    def request_exit_process(self) -> "bool": ...
    def request_resume_thread(self, tid) -> "int": ...
    def request_run_to(self, ea, pid=NO_PROCESS, tid=NO_THREAD) -> "bool": ...
    def request_run_to_backwards(self, ea, pid=NO_PROCESS, tid=NO_THREAD) -> "bool": ...
    def request_select_thread(self, tid) -> "bool": ...
    def request_set_resume_mode(self, tid, mode) -> "bool": ...
    def request_start_process(self, path=None, args=None, sdir=None) -> "int": ...
    def request_step_into(self) -> "bool": ...
    def request_step_into_backwards(self) -> "bool": ...
    def request_step_over(self) -> "bool": ...
    def request_step_over_backwards(self) -> "bool": ...
    def request_step_until_ret(self) -> "bool": ...
    def request_suspend_process(self) -> "bool": ...
    def request_suspend_thread(self, tid) -> "int": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def resume_thread(self, tid) -> "int": ...
    def run_requests(self) -> "bool": ...
    def run_to_backwards(self, ea, pid=NO_PROCESS, tid=NO_THREAD) -> "bool": ...
    def select_thread(self, tid) -> "bool": ...
    def set_bptloc_string(self, s) -> "int": ...
    def set_process_state(self, newstate, p_thid, dbginv) -> "int": ...
    def set_resume_mode(self, tid, mode) -> "bool": ...
    def size(self) -> ""size_t"": ...
    def start_process(self, path=None, args=None, sdir=None) -> "int": ...
    def step_into(self) -> "bool": ...
    def step_into_backwards(self) -> "bool": ...
    def step_over(self) -> "bool": ...
    def step_over_backwards(self) -> "bool": ...
    def step_until_ret(self) -> "bool": ...
    def suspend_process(self) -> "bool": ...
    def suspend_thread(self, tid) -> "int": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class tev_reg_values_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __getitem__(self, i) -> ""tev_reg_value_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""tev_reg_value_t const &"": ...
    def begin(self, *args) -> ""qvector< tev_reg_value_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< tev_reg_value_t >": ...
    def erase(self, *args) -> ""qvector< tev_reg_value_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""tev_reg_value_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< tev_reg_value_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""tev_reg_value_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class tevinforeg_vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __getitem__(self, i) -> ""tev_info_reg_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""tev_info_reg_t const &"": ...
    def begin(self, *args) -> ""qvector< tev_info_reg_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< tev_info_reg_t >": ...
    def erase(self, *args) -> ""qvector< tev_info_reg_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""tev_info_reg_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< tev_info_reg_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""tev_info_reg_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class memreg_infos_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __getitem__(self, i) -> ""memreg_info_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""memreg_info_t const &"": ...
    def begin(self, *args) -> ""qvector< memreg_info_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< memreg_info_t >": ...
    def erase(self, *args) -> ""qvector< memreg_info_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""memreg_info_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< memreg_info_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""memreg_info_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class bptaddrs_t(uint64vec_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ge__(self, r) -> "bool": ...
    def __getitem__(self, i) -> "int": ...
    def __gt__(self, r) -> "bool": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""unsigned long long const &"": ...
    def badbpt(self) -> "bool": ...
    def begin(self) -> "int": ...
    def capacity(self) -> "size_t": ...
    def check_bpt(self, ea) -> "int": ...
    def clear(self) -> ""void"": ...
    def compare(self, r) -> "int": ...
    def disable_bblk_trace(self) -> "bool": ...
    def disable_func_trace(self) -> "bool": ...
    def disable_insn_trace(self) -> "bool": ...
    def disable_step_trace(self) -> "bool": ...
    def ea(self) -> "ea_t": ...
    def empty(self) -> "bool": ...
    def enable_bblk_trace(self, enable=True) -> "bool": ...
    def enable_func_trace(self, enable=True) -> "bool": ...
    def enable_insn_trace(self, enable=True) -> "bool": ...
    def enable_step_trace(self, enable=1) -> "bool": ...
    def enabled(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, *args) -> ""qvector< unsigned long long >": ...
    def exist_bpt(self, ea) -> "bool": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> "int": ...
    def find(self, x) -> "int": ...
    def find_bpt(self, bptloc, bpt) -> "bool": ...
    def get_bblk_trace_options(self) -> "int": ...
    def get_bpt(self, ea, bpt) -> "bool": ...
    def get_bpt_qty(self) -> "int": ...
    def get_cnd_elang_idx(self) -> "size_t": ...
    def get_func_trace_options(self) -> "int": ...
    def get_insn_trace_options(self) -> "int": ...
    def get_step_trace_options(self) -> "int": ...
    def getn_bpt(self, n, bpt) -> "bool": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "int": ...
    def is_absbpt(self) -> "bool": ...
    def is_bblk_trace_enabled(self) -> "bool": ...
    def is_compiled(self) -> "bool": ...
    def is_func_trace_enabled(self) -> "bool": ...
    def is_insn_trace_enabled(self) -> "bool": ...
    def is_page_bpt(self) -> "bool": ...
    def is_partially_active(self) -> "bool": ...
    def is_step_trace_enabled(self) -> "bool": ...
    def is_symbpt(self) -> "bool": ...
    def is_tracemodebpt(self) -> "bool": ...
    def is_traceoffbpt(self) -> "bool": ...
    def lineno(self) -> "int": ...
    def path(self) -> "str": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "int": ...
    def qclear(self) -> ""void"": ...
    def request_disable_bblk_trace(self) -> "bool": ...
    def request_disable_func_trace(self) -> "bool": ...
    def request_disable_insn_trace(self) -> "bool": ...
    def request_disable_step_trace(self) -> "bool": ...
    def request_enable_bblk_trace(self, enable=True) -> "bool": ...
    def request_enable_func_trace(self, enable=True) -> "bool": ...
    def request_enable_insn_trace(self, enable=True) -> "bool": ...
    def request_enable_step_trace(self, enable=1) -> "bool": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def set_trace_size(self, size) -> "bool": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...
    def type(self) -> "bpt_loctype_t": ...
    def update_bpt(self, bpt) -> "bool": ...

class bpt_location_t(object):
    @property
    def index(self) -> "int": ...
    @property
    def info(self) -> "ea_t": ...
    @property
    def loctype(self) -> "bpt_loctype_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> ""bool"": ...
    def compare(self, r) -> ""int"": ...
    def ea(self) -> ""ea_t"": ...
    def is_empty_path(self) -> "bool": ...
    def lineno(self) -> ""int"": ...
    def offset(self) -> ""uval_t"": ...
    def path(self) -> ""char const *"": ...
    def set_abs_bpt(self, a) -> ""void"": ...
    def set_rel_bpt(self, mod, _offset) -> ""void"": ...
    def set_src_bpt(self, fn, _lineno) -> ""void"": ...
    def set_sym_bpt(self, _symbol, _offset) -> ""void"": ...
    def symbol(self) -> ""char const *"": ...
    def type(self) -> ""bpt_loctype_t"": ...

class bpt_t(object):
    @property
    def bptid(self) -> "inode_t": ...
    @property
    def cb(self) -> "size_t": ...
    @property
    def cndidx(self) -> "int": ...
    @property
    def ea(self) -> "ea_t": ...
    @property
    def flags(self) -> "uint32": ...
    @property
    def loc(self) -> "bpt_location_t": ...
    @property
    def pass_count(self) -> "int": ...
    @property
    def pid(self) -> "pid_t": ...
    @property
    def props(self) -> "uint32": ...
    @property
    def size(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def tid(self) -> "thid_t": ...
    @property
    def type(self) -> "bpttype_t": ...
    def __init__(self) -> "None": ...
    def badbpt(self) -> ""bool"": ...
    def enabled(self) -> ""bool"": ...
    def get_cnd_elang_idx(self) -> ""size_t"": ...
    def get_size(self) -> "int": ...
    def is_absbpt(self) -> "bool": ...
    def is_active(self) -> "bool": ...
    def is_compiled(self) -> "bool": ...
    def is_hwbpt(self) -> "bool": ...
    def is_inactive(self) -> "bool": ...
    def is_low_level(self) -> "bool": ...
    def is_page_bpt(self) -> "bool": ...
    def is_partially_active(self) -> "bool": ...
    def is_relbpt(self) -> "bool": ...
    def is_srcbpt(self) -> "bool": ...
    def is_symbpt(self) -> "bool": ...
    def is_tracemodebpt(self) -> "bool": ...
    def is_traceoffbpt(self) -> "bool": ...
    def is_traceonbpt(self) -> "bool": ...
    def listbpt(self) -> ""bool"": ...
    def set_abs_bpt(self, a) -> ""void"": ...
    def set_rel_bpt(self, mod, o) -> ""void"": ...
    def set_src_bpt(self, fn, lineno) -> ""void"": ...
    def set_sym_bpt(self, sym, o) -> ""void"": ...
    def set_trace_action(self, enable, trace_types) -> ""bool"": ...

class tev_info_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def tid(self) -> "thid_t": ...
    @property
    def type(self) -> "tev_type_t": ...
    def __init__(self) -> "None": ...
    def get_bpt_tev_ea(self, n) -> "ea_t": ...
    def get_bytes(self) -> "bytes": ...
    def get_call_tev_callee(self, n) -> "ea_t": ...
    def get_insn_tev_reg_mem(self, n, memmap) -> "bool": ...
    def get_insn_tev_reg_result(self, n, regname, regval) -> "bool": ...
    def get_insn_tev_reg_val(self, n, regname, regval) -> "bool": ...
    def get_ret_tev_return(self, n) -> "ea_t": ...
    def get_tev_event(self, n, d) -> "bool": ...
    def get_tev_info(self, n, tev_info) -> "bool": ...
    def get_tev_memory_info(self, n, mi) -> "bool": ...
    def get_tev_qty(self) -> "int": ...
    def get_trace_base_address(self) -> "ea_t": ...

class memreg_info_t(object):
    @property
    def bytes(self) -> "Any": ...
    @property
    def ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def get_bytes(self) -> "bytes": ...

class tev_reg_value_t(object):
    @property
    def reg_idx(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "regval_t": ...
    def __init__(self) -> "None": ...
    def choose_trace_file(self) -> "bool": ...
    def dbg_add_bpt_tev(self, tid, ea, bp) -> "bool": ...
    def dbg_add_insn_tev(self, tid, ea, save=SAVE_DIFF) -> "bool": ...
    def define_exception(self, code, name, desc, flags) -> "char const": ...
    def diff_trace_file(self, filename) -> "bool": ...
    def get_debug_event(self) -> "debug_event_t const": ...
    def get_trace_file_desc(self, filename) -> "bool": ...
    def get_trace_platform(self) -> "char const": ...
    def graph_trace(self) -> "bool": ...
    def is_valid_trace_file(self, filename) -> "bool": ...
    def load_trace_file(self, filename) -> "bool": ...
    def retrieve_exceptions(self) -> "excvec_t": ...
    def save_trace_file(self, filename, description) -> "bool": ...
    def set_debugger_options(self, options) -> "uint": ...
    def set_trace_file_desc(self, filename, description) -> "bool": ...
    def store_exceptions(self) -> "bool": ...
    def wait_for_next_event(self, wfne, timeout) -> "dbg_event_code_t": ...

class tev_info_reg_t(object):
    @property
    def info(self) -> "tev_info_t": ...
    @property
    def registers(self) -> "tev_reg_values_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class eval_ctx_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _ea) -> "None": ...
    def add_virt_module(self, mod) -> "bool": ...
    def collect_stack_trace(self, tid, trace) -> "bool": ...
    def create_source_viewer(self, out_ccv, parent, custview, sf, lines, lnnum, colnum, flags) -> "source_view_t": ...
    def dbg_bin_search(self, start_ea, end_ea, data, srch_flags) -> "drc_t": ...
    def dbg_is_loaded(self) -> "bool": ...
    def del_bptgrp(self, name) -> "bool": ...
    def del_virt_module(self, base) -> "bool": ...
    def enable_bptgrp(self, bptgrp_name, enable=True) -> "int": ...
    def get_bpt_group(self, bptloc) -> "bool": ...
    def get_current_source_file(self) -> "bool": ...
    def get_current_source_line(self) -> "int": ...
    def get_dbg_byte(self, ea) -> "bool": ...
    def get_dbg_memory_info(self, ranges) -> "int": ...
    def get_debugger_event_cond(self) -> "char const": ...
    def get_global_var(self, prov, ea, name, out) -> "bool": ...
    def get_grp_bpts(self, bpts, grp_name) -> "ssize_t": ...
    def get_local_var(self, prov, ea, name, out) -> "bool": ...
    def get_local_vars(self, prov, ea, out) -> "bool": ...
    def get_module_info(self, ea, modinfo) -> "bool": ...
    def get_srcinfo_provider(self, name) -> "srcinfo_provider_t": ...
    def get_tev_ea(self, n) -> "ea_t": ...
    def get_tev_tid(self, n) -> "int": ...
    def get_tev_type(self, n) -> "int": ...
    def handle_debug_event(self, ev, rqflags) -> "int": ...
    def hide_all_bpts(self) -> "int": ...
    def internal_ioctl(self, fn, buf, poutbuf, poutsize) -> "int": ...
    def is_debugger_memory(self, ea) -> "bool": ...
    def is_debugger_on(self) -> "bool": ...
    def load_debugger(self, dbgname, use_remote) -> "bool": ...
    def put_dbg_byte(self, ea, x) -> "bool": ...
    def read_dbg_memory(self, ea, buffer, size) -> "ssize_t": ...
    def refresh_debugger_memory(self) -> "PyObject": ...
    def rename_bptgrp(self, old_name, new_name) -> "bool": ...
    def set_bpt_group(self, bpt, grp_name) -> "bool": ...
    def set_bptloc_group(self, bptloc, grp_name) -> "bool": ...
    def srcdbg_request_step_into(self) -> "bool": ...
    def srcdbg_request_step_over(self) -> "bool": ...
    def srcdbg_request_step_until_ret(self) -> "bool": ...
    def srcdbg_step_into(self) -> "bool": ...
    def srcdbg_step_over(self) -> "bool": ...
    def srcdbg_step_until_ret(self) -> "bool": ...

class DBG_Hooks(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _flags=0, _hkcb_flags=HKCB_GLOBAL) -> "None": ...
    def __disown__(self) -> "Any": ...
    def dbg_bpt(self, tid, bptea) -> "int": ...
    def dbg_bpt_changed(self, bptev_code, bpt) -> ""void"": ...
    def dbg_can_query(self) -> "bool": ...
    def dbg_exception(self, pid, tid, ea, exc_code, exc_can_cont, exc_ea, exc_info) -> "int": ...
    def dbg_finished_loading_bpts(self) -> ""void"": ...
    def dbg_information(self, pid, tid, ea, info) -> ""void"": ...
    def dbg_library_load(self, pid, tid, ea, modinfo_name, modinfo_base, modinfo_size) -> ""void"": ...
    def dbg_library_unload(self, pid, tid, ea, info) -> ""void"": ...
    def dbg_process_attach(self, pid, tid, ea, modinfo_name, modinfo_base, modinfo_size) -> ""void"": ...
    def dbg_process_detach(self, pid, tid, ea) -> ""void"": ...
    def dbg_process_exit(self, pid, tid, ea, exit_code) -> ""void"": ...
    def dbg_process_start(self, pid, tid, ea, modinfo_name, modinfo_base, modinfo_size) -> ""void"": ...
    def dbg_request_error(self, failed_command, failed_dbg_notification) -> ""void"": ...
    def dbg_run_to(self, pid, tid, ea) -> ""void"": ...
    def dbg_started_loading_bpts(self) -> ""void"": ...
    def dbg_step_into(self) -> ""void"": ...
    def dbg_step_over(self) -> ""void"": ...
    def dbg_step_until_ret(self) -> ""void"": ...
    def dbg_suspend_process(self) -> ""void"": ...
    def dbg_thread_exit(self, pid, tid, ea, exit_code) -> ""void"": ...
    def dbg_thread_start(self, pid, tid, ea) -> ""void"": ...
    def dbg_trace(self, tid, ip) -> ""int"": ...
    def get_reg_vals(self, tid, clsmask) -> "regvals_t": ...
    def hook(self) -> ""bool"": ...
    def internal_get_sreg_base(self, tid, sreg_value) -> "ea_t": ...
    def list_bptgrps(self) -> "PyObject": ...
    def request_set_reg_val(self, regname, o) -> "PyObject": ...
    def unhook(self) -> "bool": ...
    def write_dbg_memory(self, ea, py_buf, size=size_t(-1)) -> "ssize_t": ...

class operands_array(object):
    @property
    def bytes(self) -> "Any": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, data) -> "None": ...
    def __getitem__(self, i) -> "op_t": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _get_bytes(self) -> "bytevec_t": ...
    def _set_bytes(self, bts) -> ""void"": ...

class op_t(object):
    @property
    def addr(self) -> "ea_t": ...
    @property
    def dtype(self) -> "op_dtype_t": ...
    @property
    def flags(self) -> "uchar": ...
    @property
    def n(self) -> "uchar": ...
    @property
    def offb(self) -> "char": ...
    @property
    def offo(self) -> "char": ...
    @property
    def phrase(self) -> "uint16": ...
    @property
    def reg(self) -> "uint16": ...
    @property
    def specflag1(self) -> "char": ...
    @property
    def specflag2(self) -> "char": ...
    @property
    def specflag3(self) -> "char": ...
    @property
    def specflag4(self) -> "char": ...
    @property
    def specval(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "optype_t": ...
    @property
    def value(self) -> "uval_t": ...
    @property
    def value64(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __get_addr__(self) -> ""ea_t"": ...
    def __get_reg_phrase__(self) -> ""uint16"": ...
    def __get_specval__(self) -> ""ea_t"": ...
    def __get_value64__(self) -> ""uint64"": ...
    def __get_value__(self) -> ""ea_t"": ...
    def __set_addr__(self, v) -> ""void"": ...
    def __set_reg_phrase__(self, r) -> ""void"": ...
    def __set_specval__(self, v) -> ""void"": ...
    def __set_value64__(self, v) -> ""void"": ...
    def __set_value__(self, v) -> ""void"": ...
    def assign(self, other) -> ""void"": ...
    def clr_shown(self) -> ""void"": ...
    def has_reg(self, r) -> "bool": ...
    def insn_add_off_drefs(self, insn, x, type, outf) -> "ea_t": ...
    def insn_create_stkvar(self, insn, x, v, flags) -> "bool": ...
    def is_imm(self, v) -> "bool": ...
    def is_reg(self, r) -> "bool": ...
    def set_shown(self) -> ""void"": ...
    def shown(self) -> "bool": ...

class insn_t(object):
    @property
    def Op1(self) -> "Any": ...
    @property
    def Op2(self) -> "Any": ...
    @property
    def Op3(self) -> "Any": ...
    @property
    def Op4(self) -> "Any": ...
    @property
    def Op5(self) -> "Any": ...
    @property
    def Op6(self) -> "Any": ...
    @property
    def Op7(self) -> "Any": ...
    @property
    def Op8(self) -> "Any": ...
    @property
    def auxpref(self) -> "uint32": ...
    @property
    def auxpref_u16(self) -> "uint16 [2]": ...
    @property
    def auxpref_u8(self) -> "uint8 [4]": ...
    @property
    def cs(self) -> "ea_t": ...
    @property
    def ea(self) -> "ea_t": ...
    @property
    def flags(self) -> "int16": ...
    @property
    def insnpref(self) -> "char": ...
    @property
    def ip(self) -> "ea_t": ...
    @property
    def itype(self) -> "uint16": ...
    @property
    def ops(self) -> "op_t [UA_MAXOP]": ...
    @property
    def segpref(self) -> "char": ...
    @property
    def size(self) -> "uint16": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __get_auxpref__(self) -> "int": ...
    def __get_operand__(self, n) -> ""op_t *"": ...
    def __get_ops__(self) -> "operands_array": ...
    def __getitem__(self, idx) -> "Any": ...
    def __iter__(self) -> "Any": ...
    def __set_auxpref__(self, v) -> ""void"": ...
    def add_cref(self, to, opoff, type) -> ""void"": ...
    def add_dref(self, to, opoff, type) -> ""void"": ...
    def add_off_drefs(self, x, type, outf) -> ""ea_t"": ...
    def assign(self, other) -> ""void"": ...
    def calc_dataseg(self, insn, n=-1, rgnum=-1) -> "ea_t": ...
    def create_op_data(self, ea_, opoff, dtype) -> "bool": ...
    def create_stkvar(self, x, v, flags_) -> "bool": ...
    def get_canon_feature(self, ph) -> "int": ...
    def get_canon_mnem(self, ph) -> "str": ...
    def get_lookback(self) -> "int": ...
    def get_next_byte(self) -> "int": ...
    def get_next_dword(self) -> "int": ...
    def get_next_qword(self) -> ""uint64"": ...
    def get_next_word(self) -> ""uint16"": ...
    def is_64bit(self) -> "bool": ...
    def is_canon_insn(self, *args) -> "bool": ...
    def is_macro(self) -> "bool": ...

class outctx_base_t(object):
    @property
    def F32(self) -> "flags_t": ...
    @property
    def default_lnnum(self) -> "int": ...
    @property
    def insn_ea(self) -> "ea_t": ...
    @property
    def outbuf(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...
    def close_comment(self) -> ""void"": ...
    def clr_gen_label(self) -> ""void"": ...
    def display_voids(self) -> "bool": ...
    def flush_buf(self, buf, indent=-1) -> "bool": ...
    def flush_outbuf(self, indent) -> ""bool"": ...
    def forbid_annotations(self) -> ""int"": ...
    def force_code(self) -> "bool": ...
    def gen_block_cmt(self, cmt, color) -> ""bool"": ...
    def gen_border_line(self, solid=False) -> "bool": ...
    def gen_cmt_line(self, format) -> ""bool"": ...
    def gen_collapsed_line(self, format) -> "bool": ...
    def gen_empty_line(self) -> ""bool"": ...
    def gen_empty_line_without_annotations(self) -> ""void"": ...
    def gen_printf(self, indent, format) -> "bool": ...
    def gen_xref_lines(self) -> ""bool"": ...
    def getF(self) -> ""flags64_t"": ...
    def get_stkvar(self, x, v, vv, is_sp_based, _frame) -> ""ssize_t"": ...
    def init_lines_array(self, answers, maxsize) -> ""void"": ...
    def multiline(self) -> ""bool"": ...
    def only_main_line(self) -> "bool": ...
    def out_addr_tag(self, ea) -> ""void"": ...
    def out_btoa(self, Word, radix) -> ""void"": ...
    def out_char(self, c) -> ""void"": ...
    def out_chars(self, c, n) -> ""void"": ...
    def out_colored_register_line(self, str) -> ""void"": ...
    def out_keyword(self, str) -> ""void"": ...
    def out_line(self, str, color) -> ""void"": ...
    def out_long(self, v, radix) -> ""void"": ...
    def out_lvar(self, name, width) -> ""void"": ...
    def out_name_expr(self, *args) -> ""bool"": ...
    def out_printf(self, format) -> ""size_t"": ...
    def out_register(self, str) -> ""void"": ...
    def out_spaces(self, len) -> ""void"": ...
    def out_symbol(self, c) -> ""void"": ...
    def out_tagoff(self, tag) -> ""void"": ...
    def out_tagon(self, tag) -> ""void"": ...
    def out_value(self, x, outf=0) -> "flags64_t": ...
    def print_label_now(self) -> "bool": ...
    def restore_ctxflags(self, saved_flags) -> ""void"": ...
    def retrieve_cmt(self) -> ""ssize_t"": ...
    def retrieve_name(self, arg2, arg3) -> "ssize_t": ...
    def set_comment_addr(self, ea) -> ""void"": ...
    def set_dlbind_opnd(self) -> ""void"": ...
    def set_gen_cmt(self, on) -> ""void"": ...
    def set_gen_demangled_label(self) -> ""void"": ...
    def set_gen_label(self) -> ""void"": ...
    def set_gen_xrefs(self, on) -> ""void"": ...
    def setup_outctx(self, prefix, makeline_flags) -> ""void"": ...
    def stack_view(self) -> ""bool"": ...
    def term_outctx(self, prefix) -> ""int"": ...

class outctx_t(outctx_base_t):
    @property
    def F32(self) -> "flags_t": ...
    @property
    def bin_ea(self) -> "ea_t": ...
    @property
    def bin_state(self) -> "char": ...
    @property
    def bin_width(self) -> "int": ...
    @property
    def curlabel(self) -> "qstring": ...
    @property
    def default_lnnum(self) -> "int": ...
    @property
    def gl_bpsize(self) -> "int": ...
    @property
    def insn(self) -> "insn_t": ...
    @property
    def insn_ea(self) -> "ea_t": ...
    @property
    def next_line_ea(self) -> "ea_t": ...
    @property
    def outbuf(self) -> "qstring": ...
    @property
    def prefix_ea(self) -> "ea_t": ...
    @property
    def saved_immvals(self) -> "uval_t [UA_MAXOP]": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...
    def can_decode(self, ea) -> "bool": ...
    def close_comment(self) -> ""void"": ...
    def clr_gen_label(self) -> ""void"": ...
    def create_insn(self, ea, out=None) -> "int": ...
    def decode_insn(self, out, ea) -> "int": ...
    def decode_prev_insn(self, out, ea) -> "ea_t": ...
    def display_voids(self) -> "bool": ...
    def flush_buf(self, buf, indent=-1) -> "bool": ...
    def flush_outbuf(self, indent) -> ""bool"": ...
    def forbid_annotations(self) -> ""int"": ...
    def force_code(self) -> "bool": ...
    def gen_block_cmt(self, cmt, color) -> ""bool"": ...
    def gen_border_line(self, solid=False) -> "bool": ...
    def gen_cmt_line(self, format) -> ""bool"": ...
    def gen_collapsed_line(self, format) -> "bool": ...
    def gen_empty_line(self) -> ""bool"": ...
    def gen_empty_line_without_annotations(self) -> ""void"": ...
    def gen_func_footer(self, pfn) -> ""void"": ...
    def gen_func_header(self, pfn) -> ""void"": ...
    def gen_header(self, *args) -> ""void"": ...
    def gen_header_extra(self) -> ""void"": ...
    def gen_printf(self, indent, format) -> "bool": ...
    def gen_xref_lines(self) -> "bool": ...
    def getF(self) -> ""flags64_t"": ...
    def get_dtype_flag(self, dtype) -> "flags64_t": ...
    def get_dtype_size(self, dtype) -> "size_t": ...
    def get_stkvar(self, x, v, vv, is_sp_based, _frame) -> ""ssize_t"": ...
    def init_lines_array(self, answers, maxsize) -> ""void"": ...
    def is_floating_dtype(self, dtype) -> "bool": ...
    def multiline(self) -> ""bool"": ...
    def only_main_line(self) -> "bool": ...
    def out_addr_tag(self, ea) -> ""void"": ...
    def out_btoa(self, Word, radix) -> ""void"": ...
    def out_char(self, c) -> ""void"": ...
    def out_chars(self, c, n) -> ""void"": ...
    def out_colored_register_line(self, str) -> ""void"": ...
    def out_custom_mnem(self, mnem, width, postfix) -> ""void"": ...
    def out_data(self, analyze_only) -> ""void"": ...
    def out_fcref_names(self) -> ""void"": ...
    def out_immchar_cmts(self) -> ""void"": ...
    def out_keyword(self, str) -> ""void"": ...
    def out_line(self, str, color) -> ""void"": ...
    def out_long(self, v, radix) -> ""void"": ...
    def out_lvar(self, name, width) -> ""void"": ...
    def out_mnem(self, width, postfix) -> ""void"": ...
    def out_mnemonic(self) -> ""void"": ...
    def out_name_expr(self, *args) -> ""bool"": ...
    def out_one_operand(self, n) -> "bool": ...
    def out_printf(self, format) -> ""size_t"": ...
    def out_register(self, str) -> ""void"": ...
    def out_spaces(self, len) -> ""void"": ...
    def out_specea(self, segtype) -> ""bool"": ...
    def out_symbol(self, c) -> ""void"": ...
    def out_tagoff(self, tag) -> ""void"": ...
    def out_tagon(self, tag) -> ""void"": ...
    def out_value(self, x, outf=0) -> "flags64_t": ...
    def print_insn_mnem(self, ea) -> "bool": ...
    def print_label_now(self) -> "bool": ...
    def print_operand(self, ea, n, getn_flags=0, newtype=None) -> "bool": ...
    def restore_ctxflags(self, saved_flags) -> ""void"": ...
    def retrieve_cmt(self) -> "ssize_t": ...
    def retrieve_name(self, arg2, arg3) -> ""ssize_t"": ...
    def set_bin_state(self, value) -> ""void"": ...
    def set_comment_addr(self, ea) -> ""void"": ...
    def set_dlbind_opnd(self) -> ""void"": ...
    def set_gen_cmt(self, on) -> ""void"": ...
    def set_gen_demangled_label(self) -> ""void"": ...
    def set_gen_label(self) -> ""void"": ...
    def set_gen_xrefs(self, on) -> ""void"": ...
    def setup_outctx(self, prefix, flags) -> ""void"": ...
    def stack_view(self) -> ""bool"": ...
    def term_outctx(self, prefix) -> ""int"": ...

class macro_constructor_t(object):
    @property
    def reserved(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def build_macro(self, insn, may_go_forward) -> ""bool"": ...
    def construct_macro(self, insn, enable) -> "bool": ...
    def get_dtype_by_size(self, size) -> "int": ...
    def get_immvals(self, ea, n, F=0) -> "PyObject": ...
    def get_printable_immvals(self, ea, n, F=0) -> "PyObject": ...
    def insn_t__from_ptrval__(self, ptrval) -> "insn_t": ...
    def op_t__from_ptrval__(self, ptrval) -> "op_t": ...
    def outctx_base_t__from_ptrval__(self, ptrval) -> "outctx_base_t": ...
    def outctx_t__from_ptrval__(self, ptrval) -> "outctx_t": ...

class xreflist_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "xreflist_entry_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""xreflist_entry_t const &"": ...
    def begin(self, *args) -> ""qvector< xreflist_entry_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "xreflist_entry_t": ...
    def erase(self, *args) -> ""qvector< xreflist_entry_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""xreflist_entry_t *"": ...
    def find(self, x) -> "xreflist_entry_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "xreflist_entry_t": ...
    def is_funcarg_off(self, pfn, frameoff) -> "bool": ...
    def lvar_off(self, pfn, frameoff) -> "sval_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "xreflist_entry_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class stkpnt_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def spd(self) -> "sval_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> "bool": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> ""bool"": ...
    def compare(self, r) -> "int": ...

class stkpnts_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> "bool": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> ""bool"": ...
    def add_frame(self, pfn, frsize, frregs, argsize) -> "bool": ...
    def add_frame_member(self, pfn, name, offset, tif, repr=None, etf_flags=0) -> "bool": ...
    def build_stkvar_name(self, pfn, v) -> "ssize_t": ...
    def calc_frame_offset(self, pfn, off, insn=None, op=None) -> "sval_t": ...
    def calc_stkvar_struc_offset(self, pfn, insn, n) -> "ea_t": ...
    def compare(self, r) -> "int": ...
    def define_stkvar(self, pfn, name, off, tif, repr=None) -> "bool": ...
    def del_frame(self, pfn) -> "bool": ...
    def delete_frame_members(self, pfn, start_offset, end_offset) -> "bool": ...
    def frame_off_args(self, pfn) -> "ea_t": ...
    def frame_off_lvars(self, pfn) -> "ea_t": ...
    def frame_off_retaddr(self, pfn) -> "ea_t": ...
    def frame_off_savregs(self, pfn) -> "ea_t": ...
    def get_frame_retsize(self, pfn) -> "int": ...
    def get_frame_size(self, pfn) -> "asize_t": ...
    def get_func_frame(self, out, pfn) -> "bool": ...
    def is_anonymous_member_name(self, name) -> "bool": ...
    def is_dummy_member_name(self, name) -> "bool": ...
    def is_special_frame_member(self, tid) -> "bool": ...
    def set_frame_member_type(self, pfn, offset, tif, repr=None, etf_flags=0) -> "bool": ...
    def set_frame_size(self, pfn, frsize, frregs, argsize) -> "bool": ...
    def set_purged(self, ea, nbytes, override_old_value) -> "bool": ...
    def soff_to_fpoff(self, pfn, soff) -> "sval_t": ...
    def update_fpd(self, pfn, fpd) -> "bool": ...

class regvar_t(range_t):
    @property
    def end_ea(self) -> "ea_t": ...
    @property
    def start_ea(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def _print(self) -> "size_t": ...
    def add_auto_stkpnt(self, pfn, ea, delta) -> "bool": ...
    def add_user_stkpnt(self, ea, delta) -> "bool": ...
    def clear(self) -> ""void"": ...
    def compare(self, r) -> ""int"": ...
    def contains(self, ea) -> "bool": ...
    def del_regvar(self, pfn, ea1, ea2, canon) -> "int": ...
    def del_stkpnt(self, pfn, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def extend(self, ea) -> ""void"": ...
    def get_effective_spd(self, pfn, ea) -> "sval_t": ...
    def get_sp_delta(self, pfn, ea) -> "sval_t": ...
    def get_spd(self, pfn, ea) -> "sval_t": ...
    def has_regvar(self, pfn, ea) -> "bool": ...
    def intersect(self, r) -> ""void"": ...
    def overlaps(self, r) -> "bool": ...
    def recalc_spd(self, cur_ea) -> "bool": ...
    def recalc_spd_for_basic_block(self, pfn, cur_ea) -> "bool": ...
    def rename_regvar(self, pfn, v, user) -> "int": ...
    def set_auto_spd(self, pfn, ea, new_spd) -> "bool": ...
    def set_regvar_cmt(self, pfn, v, cmt) -> "int": ...
    def size(self) -> ""asize_t"": ...
    def swap(self, r) -> ""void"": ...

class xreflist_entry_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def opnum(self) -> "uchar": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "uchar": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> "bool": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> ""bool"": ...
    def compare(self, r) -> "int": ...

class qvector_snapshotvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __getitem__(self, i) -> "snapshot_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""snapshot_t *const &"": ...
    def begin(self) -> "list": ...
    def capacity(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "list": ...
    def erase(self, *args) -> ""qvector< snapshot_t * >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> "snapshot_t": ...
    def find(self, x) -> "list": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "list": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "snapshot_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class loader_t(object):
    @property
    def flags(self) -> "uint32": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def version(self) -> "uint32": ...
    def __init__(self) -> "None": ...
    def base2file(self, fp, pos, ea1, ea2) -> "int": ...
    def file2base(self, li, pos, ea1, ea2, patchable) -> "int": ...
    def gen_file(self, otype, fp, ea1, ea2, flags) -> "int": ...
    def get_basic_file_type(self, li) -> "filetype_t": ...
    def get_file_type_name(self) -> "size_t": ...
    def get_plugin_options(self, plugin) -> "char const": ...
    def load_ids_module(self, fname) -> "int": ...
    def process_archive(self, temp_file, li, module_name, neflags, defmember, loader) -> "int": ...

class idp_name_t(object):
    @property
    def hidden(self) -> "bool": ...
    @property
    def lname(self) -> "qstring": ...
    @property
    def sname(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def gen_exe_file(self, fp) -> "int": ...
    def get_fileregion_ea(self, offset) -> "ea_t": ...
    def get_fileregion_offset(self, ea) -> "qoff64_t": ...
    def reload_file(self, file, is_remote) -> "bool": ...

class idp_desc_t(object):
    @property
    def checked(self) -> "bool": ...
    @property
    def family(self) -> "qstring": ...
    @property
    def is_script(self) -> "bool": ...
    @property
    def mtime(self) -> "time_t": ...
    @property
    def names(self) -> "idp_names_t": ...
    @property
    def path(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class plugin_info_t(object):
    @property
    def arg(self) -> "size_t": ...
    @property
    def dllmem(self) -> "idadll_t": ...
    @property
    def flags(self) -> "int": ...
    @property
    def hotkey(self) -> "ushort": ...
    @property
    def idaplg_name(self) -> "qstring": ...
    @property
    def org_hotkey(self) -> "ushort": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class snapshot_t(object):
    @property
    def children(self) -> "snapshots_t": ...
    @property
    def desc(self) -> "char [128]": ...
    @property
    def filename(self) -> "char [QMAXPATH]": ...
    @property
    def flags(self) -> "uint16": ...
    @property
    def id(self) -> "qtime64_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> "bool": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> ""bool"": ...
    def build_snapshot_tree(self, root) -> "bool": ...
    def clear(self) -> ""void"": ...
    def extract_module_from_archive(self, fname, is_remote=False) -> "PyObject": ...
    def flush_buffers(self) -> "int": ...
    def get_elf_debug_file_directory(self) -> "char const": ...
    def get_path(self, pt) -> "char const": ...
    def is_database_flag(self, dbfl) -> "bool": ...
    def is_trusted_idb(self) -> "bool": ...
    def load_and_run_plugin(self, name, arg) -> "bool": ...
    def load_plugin(self, name) -> "PyObject": ...
    def mem2base(self, mem, ea, fpos=-1) -> "int": ...
    def run_plugin(self, plg, arg) -> "bool": ...
    def save_database(self, outfile=None, flags=-1, root=None, attr=None) -> "bool": ...

class ea_name_vec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> ""ea_name_t const &"": ...
    def __len__(self) -> "size_t": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def append_struct_fields(self, disp, n, path, flags, delta, appzero) -> "flags64_t": ...
    def at(self, _idx) -> ""ea_name_t const &"": ...
    def begin(self, *args) -> ""qvector< ea_name_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def del_global_name(self, ea) -> "bool": ...
    def del_local_name(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "ea_name_t": ...
    def erase(self, *args) -> ""qvector< ea_name_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""ea_name_t *"": ...
    def extract_name(self, line, x) -> "ssize_t": ...
    def force_name(self, ea, name, flags=0) -> "bool": ...
    def get_colored_demangled_name(self, ea, inhibitor, demform, gtn_flags=0) -> "qstring": ...
    def get_colored_long_name(self, ea, gtn_flags=0) -> "qstring": ...
    def get_colored_name(self, ea) -> "qstring": ...
    def get_colored_short_name(self, ea, gtn_flags=0) -> "qstring": ...
    def get_cp_validity(self, kind, cp, endcp=wchar32_t(-1)) -> "bool": ...
    def get_demangled_name(self, ea, inhibitor, demform, gtn_flags=0) -> "qstring": ...
    def get_long_name(self, ea, gtn_flags=0) -> "qstring": ...
    def get_name_base_ea(self, frm, to) -> "ea_t": ...
    def get_name_color(self, frm, ea) -> "color_t": ...
    def get_name_ea(self, frm, name) -> "ea_t": ...
    def get_name_expr(self, frm, n, ea, off, flags=1) -> "ssize_t": ...
    def get_name_value(self, frm, name) -> "int": ...
    def get_nice_colored_name(self, ea, flags=0) -> "ssize_t": ...
    def get_nlist_ea(self, idx) -> "ea_t": ...
    def get_nlist_idx(self, ea) -> "size_t": ...
    def get_nlist_name(self, idx) -> "char const": ...
    def get_nlist_size(self) -> "size_t": ...
    def get_short_name(self, ea, gtn_flags=0) -> "qstring": ...
    def get_visible_name(self, ea, gtn_flags=0) -> "qstring": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "ea_name_t": ...
    def is_ident(self, name) -> "bool": ...
    def is_ident_cp(self, cp) -> "bool": ...
    def is_in_nlist(self, ea) -> "bool": ...
    def is_public_name(self, ea) -> "bool": ...
    def is_strlit_cp(self, cp, specific_ranges=None) -> "bool": ...
    def is_uname(self, name) -> "bool": ...
    def is_valid_cp(self, cp, kind, data=None) -> "bool": ...
    def is_valid_typename(self, name) -> "bool": ...
    def is_visible_cp(self, cp) -> "bool": ...
    def is_weak_name(self, ea) -> "bool": ...
    def make_name_auto(self, ea) -> "bool": ...
    def make_name_user(self, ea) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "ea_name_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def set_dummy_name(self, frm, ea) -> "bool": ...
    def set_name(self, ea, name, flags=0) -> "bool": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class ea_name_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def name(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def cleanup_name(self, ea, name, flags=0) -> "bool": ...
    def demangle_name(self, name, disable_mask, demreq=DQT_FULL) -> "int32": ...
    def get_debug_name(self, ea_ptr, how) -> "ssize_t": ...
    def get_debug_name_ea(self, name) -> "ea_t": ...
    def get_ea_name(self, ea, gtn_flags=0) -> "qstring": ...
    def get_mangled_name_type(self, name) -> "mangled_name_type_t": ...
    def is_name_defined_locally(self, pfn, name, ignore_name_def, ea1=BADADDR, ea2=BADADDR) -> "bool": ...
    def set_debug_name(self, ea, name) -> "bool": ...
    def validate_name(self, name, type, flags=1) -> "PyObject": ...

class NearestName(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, ea_names) -> "None": ...
    def __getitem__(self, index) -> "Any": ...
    def __iter__(self) -> "Any": ...
    def _get_item(self, index) -> "Any": ...
    def add_entry(self, ord, ea, name, makecode, flags=0) -> "bool": ...
    def find(self, ea) -> "NearestName": ...
    def get_entry(self, ord) -> "ea_t": ...
    def get_entry_forwarder(self, ord) -> "ssize_t": ...
    def get_entry_name(self, ord) -> "ssize_t": ...
    def get_entry_ordinal(self, idx) -> "uval_t": ...
    def get_entry_qty(self) -> "size_t": ...
    def is_fixup_custom(self, type) -> "bool": ...
    def rename_entry(self, ord, name, flags=0) -> "bool": ...
    def set_entry_forwarder(self, ord, name, flags=0) -> "bool": ...
    def update(self, ea_names) -> "Any": ...

class fixup_data_t(object):
    @property
    def displacement(self) -> "adiff_t": ...
    @property
    def off(self) -> "ea_t": ...
    @property
    def sel(self) -> "sel_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def calc_fixup_size(self, type) -> "int": ...
    def calc_size(self) -> ""int"": ...
    def clr_extdef(self) -> ""void"": ...
    def clr_unused(self) -> ""void"": ...
    def exists_fixup(self, source) -> "bool": ...
    def find_custom_fixup(self, name) -> "fixup_type_t": ...
    def get(self, source) -> "bool": ...
    def get_base(self) -> ""ea_t"": ...
    def get_desc(self, source) -> "str": ...
    def get_first_fixup_ea(self) -> "ea_t": ...
    def get_fixup(self, fd, source) -> "bool": ...
    def get_fixup_desc(self, source, fd) -> "char const": ...
    def get_fixup_handler(self, type) -> "fixup_handler_t const": ...
    def get_fixup_value(self, ea, type) -> "uval_t": ...
    def get_flags(self) -> "int": ...
    def get_handler(self) -> ""fixup_handler_t const *"": ...
    def get_next_fixup_ea(self, ea) -> "ea_t": ...
    def get_prev_fixup_ea(self, ea) -> "ea_t": ...
    def get_type(self) -> "str": ...
    def get_value(self, ea) -> "uval_t": ...
    def has_base(self) -> "bool": ...
    def is_custom(self) -> "bool": ...
    def is_extdef(self) -> "bool": ...
    def is_unused(self) -> "bool": ...
    def patch_fixup_value(self, ea, fd) -> "bool": ...
    def patch_value(self, ea) -> ""bool"": ...
    def set(self, source) -> ""void"": ...
    def set_base(self, new_base) -> ""void"": ...
    def set_extdef(self) -> ""void"": ...
    def set_sel(self, seg) -> ""void"": ...
    def set_target_sel(self) -> ""void"": ...
    def set_type(self, type_) -> ""void"": ...
    def set_type_and_flags(self, type_, flags_) -> ""void"": ...
    def set_unused(self) -> ""void"": ...
    def was_created(self) -> "bool": ...

class fixup_info_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def fd(self) -> "fixup_data_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def contains_fixups(self, ea, size) -> "bool": ...
    def get_mark_comment(self, slot) -> "PyObject": ...
    def get_marked_pos(self, slot) -> "ea_t": ...
    def get_redo_action_label(self) -> "bool": ...
    def get_undo_action_label(self) -> "bool": ...
    def handle_fixups_in_macro(self, ri, ea, other, macro_reft_and_flags) -> "bool": ...
    def perform_redo(self) -> "bool": ...
    def perform_undo(self) -> "bool": ...

class idasgn_header_t(object):
    @property
    def apptype(self) -> "uint16": ...
    @property
    def ctype_crc(self) -> "uint16": ...
    @property
    def ctype_crc_3v(self) -> "uint16": ...
    @property
    def ctype_crc_alt(self) -> "uint16": ...
    @property
    def ctype_name(self) -> "char [12]": ...
    @property
    def file_formats(self) -> "uint32": ...
    @property
    def flags(self) -> "uint16": ...
    @property
    def libname_length(self) -> "uchar": ...
    @property
    def magic(self) -> "char [6]": ...
    @property
    def number_of_modules(self) -> "uint32": ...
    @property
    def number_of_modules_v5(self) -> "uint16": ...
    @property
    def ostype(self) -> "uint16": ...
    @property
    def pattern_length(self) -> "uint16": ...
    @property
    def processor_id(self) -> "uchar": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def version(self) -> "uchar": ...
    def __init__(self) -> "None": ...
    def add_refinfo_dref(self, insn, frm, ri, opval, type, opoff) -> "ea_t": ...
    def calc_basevalue(self, target, base) -> "ea_t": ...
    def calc_offset_base(self, ea, n) -> "ea_t": ...
    def calc_probable_base_by_value(self, ea, off) -> "ea_t": ...
    def calc_reference_data(self, target, frm, ri, opval) -> "bool": ...
    def can_be_off32(self, ea) -> "ea_t": ...
    def get_default_reftype(self, ea) -> "reftype_t": ...
    def get_idasgn_path_by_short_name(self, name) -> "bool": ...
    def get_offbase(self, ea, n) -> "ea_t": ...
    def get_offset_expr(self, ea, n, ri, frm, offset, getn_flags=0) -> "int": ...
    def get_offset_expression(self, ea, n, frm, offset, getn_flags=0) -> "int": ...
    def op_offset(self, ea, n, type_and_flags, target=BADADDR, base=0, tdelta=0) -> "bool": ...
    def op_offset_ex(self, ea, n, ri) -> "bool": ...
    def op_plain_offset(self, ea, n, base) -> "bool": ...

class strwinsetup_t(object):
    @property
    def display_only_existing_strings(self) -> "uchar": ...
    @property
    def ignore_heads(self) -> "uchar": ...
    @property
    def minlen(self) -> "sval_t": ...
    @property
    def only_7bit(self) -> "uchar": ...
    @property
    def strtypes(self) -> "Any": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _ea=BADADDR) -> "None": ...
    def _get_strtypes(self) -> "PyObject": ...
    def _set_strtypes(self, py_t) -> ""PyObject *"": ...
    def get_strlist_item(self, si, n) -> "bool": ...
    def get_strlist_options(self) -> "strwinsetup_t": ...
    def get_strlist_qty(self) -> "size_t": ...

class string_info_t(object):
    @property
    def ea(self) -> "ea_t": ...
    @property
    def length(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "int": ...
    def __init__(self, *args) -> "None": ...
    def __lt__(self, r) -> ""bool"": ...

class tryblks_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "tryblk_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""tryblk_t const &"": ...
    def begin(self, *args) -> ""qvector< tryblk_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "tryblk_t": ...
    def erase(self, *args) -> ""qvector< tryblk_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""tryblk_t *"": ...
    def find(self, x) -> "tryblk_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "tryblk_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "tryblk_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class catchvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "catch_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""catch_t const &"": ...
    def begin(self, *args) -> ""qvector< catch_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "catch_t": ...
    def erase(self, *args) -> ""qvector< catch_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""catch_t *"": ...
    def find(self, x) -> "catch_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "catch_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "catch_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class try_handler_t(rangevec_t):
    @property
    def disp(self) -> "sval_t": ...
    @property
    def fpreg(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, aset) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""range_t const &"": ...
    def begin(self, *args) -> ""qvector< range_t >": ...
    def cached_range(self) -> "range_t": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def contains(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "range_t": ...
    def erase(self, *args) -> ""qvector< range_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""range_t *"": ...
    def find(self, x) -> "range_t": ...
    def getrange(self, idx) -> "range_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def includes(self, range) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "range_t": ...
    def intersect(self, aset) -> "bool": ...
    def is_equal(self, aset) -> "bool": ...
    def nranges(self) -> "size_t": ...
    def pop_back(self) -> ""void"": ...
    def prev_addr(self, ea) -> "ea_t": ...
    def prev_range(self, ea) -> "ea_t": ...
    def push_back(self) -> "range_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def sub(self, range) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class seh_t(try_handler_t):
    @property
    def disp(self) -> "sval_t": ...
    @property
    def filter(self) -> "rangevec_t": ...
    @property
    def fpreg(self) -> "int": ...
    @property
    def seh_code(self) -> "ea_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, aset) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""range_t const &"": ...
    def begin(self, *args) -> ""qvector< range_t >": ...
    def cached_range(self) -> "range_t": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def contains(self, ea) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "range_t": ...
    def erase(self, *args) -> ""qvector< range_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""range_t *"": ...
    def find(self, x) -> "range_t": ...
    def getrange(self, idx) -> "range_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def includes(self, range) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "range_t": ...
    def intersect(self, aset) -> "bool": ...
    def is_equal(self, aset) -> "bool": ...
    def nranges(self) -> "size_t": ...
    def pop_back(self) -> ""void"": ...
    def prev_addr(self, ea) -> "ea_t": ...
    def prev_range(self, ea) -> "ea_t": ...
    def push_back(self) -> "range_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def sub(self, range) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class catch_t(try_handler_t):
    @property
    def disp(self) -> "sval_t": ...
    @property
    def fpreg(self) -> "int": ...
    @property
    def obj(self) -> "sval_t": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type_id(self) -> "sval_t": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, aset) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_tryblk(self, tb) -> "int": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""range_t const &"": ...
    def begin(self, *args) -> ""qvector< range_t >": ...
    def cached_range(self) -> "range_t": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def contains(self, ea) -> "bool": ...
    def cpp(self) -> "catchvec_t": ...
    def create_switch_xrefs(self, ea, si) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "range_t": ...
    def erase(self, *args) -> ""qvector< range_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""range_t *"": ...
    def find(self, x) -> "range_t": ...
    def find_code(self, ea, sflag) -> "ea_t": ...
    def find_data(self, ea, sflag) -> "ea_t": ...
    def find_defined(self, ea, sflag) -> "ea_t": ...
    def find_error(self, ea, sflag) -> "ea_t": ...
    def find_imm(self, ea, sflag, search_value) -> "ea_t": ...
    def find_not_func(self, ea, sflag) -> "ea_t": ...
    def find_notype(self, ea, sflag) -> "ea_t": ...
    def find_reg_access(self, out, start_ea, end_ea, regname, sflag) -> "ea_t": ...
    def find_suspop(self, ea, sflag) -> "ea_t": ...
    def find_syseh(self, ea) -> "ea_t": ...
    def find_text(self, start_ea, y, x, ustr, sflag) -> "ea_t": ...
    def find_unknown(self, ea, sflag) -> "ea_t": ...
    def get_kind(self) -> "str": ...
    def getrange(self, idx) -> "range_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def includes(self, range) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "range_t": ...
    def intersect(self, aset) -> "bool": ...
    def is_ea_tryblks(self, ea, flags) -> "bool": ...
    def is_equal(self, aset) -> "bool": ...
    def is_seh(self) -> "bool": ...
    def nranges(self) -> "size_t": ...
    def parse_decls_for_srclang(self, lang, til, input, is_path) -> "int": ...
    def parse_decls_with_parser(self, parser_name, til, input, is_path) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def prev_addr(self, ea) -> "ea_t": ...
    def prev_range(self, ea) -> "ea_t": ...
    def push_back(self) -> "range_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def search_down(self, sflag) -> "bool": ...
    def select_parser_by_name(self, name) -> "bool": ...
    def select_parser_by_srclang(self, lang) -> "bool": ...
    def set_cpp(self) -> "catchvec_t": ...
    def set_parser_argv(self, parser_name, argv) -> "int": ...
    def size(self) -> ""size_t"": ...
    def sub(self, range) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class tryblk_t(rangevec_t):
    @property
    def level(self) -> "uchar": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "range_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, aset) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""range_t const &"": ...
    def begin(self, *args) -> ""qvector< range_t >": ...
    def cached_range(self) -> "range_t": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def contains(self, ea) -> "bool": ...
    def cpp(self) -> ""catchvec_t &"": ...
    def empty(self) -> ""bool"": ...
    def end(self) -> "range_t": ...
    def erase(self, *args) -> ""qvector< range_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""range_t *"": ...
    def find(self, x) -> "range_t": ...
    def get_kind(self) -> ""uchar"": ...
    def getrange(self, idx) -> "range_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def includes(self, range) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "range_t": ...
    def intersect(self, aset) -> "bool": ...
    def is_cpp(self) -> "bool": ...
    def is_equal(self, aset) -> "bool": ...
    def is_seh(self) -> "bool": ...
    def nranges(self) -> "size_t": ...
    def pop_back(self) -> ""void"": ...
    def prev_addr(self, ea) -> "ea_t": ...
    def prev_range(self, ea) -> "ea_t": ...
    def push_back(self) -> "range_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def seh(self) -> ""seh_t &"": ...
    def set_cpp(self) -> ""catchvec_t &"": ...
    def set_seh(self) -> ""seh_t &"": ...
    def size(self) -> ""size_t"": ...
    def sub(self, range) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class cases_and_targets_t(object):
    @property
    def cases(self) -> "casevec_t": ...
    @property
    def targets(self) -> "eavec_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def add_cref(self, frm, to, type) -> "bool": ...
    def add_dref(self, frm, to, type) -> "bool": ...
    def create_switch_table(self, ea, si) -> "bool": ...
    def del_cref(self, frm, to, expand) -> "bool": ...
    def xrefchar(self, xrtype) -> "char": ...

class xrefblk_t(object):
    @property
    def _flags(self) -> "uchar": ...
    @property
    def frm(self) -> "ea_t": ...
    @property
    def iscode(self) -> "bool": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def to(self) -> "ea_t": ...
    @property
    def type(self) -> "uchar": ...
    @property
    def user(self) -> "bool": ...
    def _copy_xref(self) -> "Any": ...
    def crefs_from(self, ea) -> "Any": ...
    def crefs_to(self, ea) -> "Any": ...
    def drefs_from(self, ea) -> "Any": ...
    def drefs_to(self, ea) -> "Any": ...
    def fcrefs_from(self, ea) -> "Any": ...
    def fcrefs_to(self, ea) -> "Any": ...
    def first_from(self, _from, flags=0) -> "bool": ...
    def first_to(self, _to, flags) -> ""bool"": ...
    def get_first_cref_from(self, frm) -> "ea_t": ...
    def get_first_cref_to(self, to) -> "ea_t": ...
    def get_first_dref_from(self, frm) -> "ea_t": ...
    def get_first_dref_to(self, to) -> "ea_t": ...
    def get_first_fcref_from(self, frm) -> "ea_t": ...
    def get_first_fcref_to(self, to) -> "ea_t": ...
    def get_next_cref_from(self, frm, current) -> "ea_t": ...
    def get_next_cref_to(self, to, current) -> "ea_t": ...
    def get_next_dref_from(self, frm, current) -> "ea_t": ...
    def get_next_dref_to(self, to, current) -> "ea_t": ...
    def get_next_fcref_from(self, frm, current) -> "ea_t": ...
    def get_next_fcref_to(self, to, current) -> "ea_t": ...
    def has_external_refs(self, pfn, ea) -> "bool": ...
    def has_jump_or_flow_xref(self, ea) -> "bool": ...
    def next_from(self) -> "bool": ...
    def next_to(self) -> "bool": ...
    def refs_from(self, ea, flag) -> "Any": ...

class _xref(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def _copy_xref(self) -> "Any": ...
    def refs_to(self, ea, flag) -> "Any": ...

class casevec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "int": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""qvector< long long > const &"": ...
    def begin(self, *args) -> ""qvector< qvector< long long > >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def deserialize_tinfo(self, tif, til, ptype, pfields, pfldcmts, cmt=None) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, *args) -> ""qvector< qvector< long long > >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""qvector< long long > *"": ...
    def find(self, x) -> "int": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "int": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class funcargvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "funcarg_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""funcarg_t const &"": ...
    def begin(self, *args) -> ""qvector< funcarg_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "funcarg_t": ...
    def erase(self, *args) -> ""qvector< funcarg_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""funcarg_t *"": ...
    def find(self, x) -> "funcarg_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "funcarg_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "funcarg_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class reginfovec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "reg_info_t const": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""reg_info_t const &"": ...
    def begin(self, *args) -> ""qvector< reg_info_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "list": ...
    def erase(self, *args) -> ""qvector< reg_info_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""reg_info_t *"": ...
    def find(self, x) -> "list": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "list": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "reg_info_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class edmvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "edm_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""edm_t const &"": ...
    def begin(self, *args) -> ""qvector< edm_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "edm_t": ...
    def erase(self, *args) -> ""qvector< edm_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""edm_t *"": ...
    def find(self, x) -> "edm_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "edm_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "edm_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class argpartvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "argpart_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""argpart_t const &"": ...
    def begin(self, *args) -> ""qvector< argpart_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "argpart_t": ...
    def erase(self, *args) -> ""qvector< argpart_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""argpart_t *"": ...
    def find(self, x) -> "argpart_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "argpart_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "argpart_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class valstrvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> "udm_t": ...
    def __len__(self) -> "size_t": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""valstr_t const &"": ...
    def begin(self, *args) -> ""qvector< valstr_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "udm_t": ...
    def erase(self, *args) -> ""qvector< valstr_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""valstr_t *"": ...
    def find(self, x) -> "udm_t": ...
    def get_base_type(self, t) -> "type_t": ...
    def get_full_type(self, t) -> "type_t": ...
    def get_type_flags(self, t) -> "type_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "udm_t": ...
    def is_sdacl_byte(self, t) -> "bool": ...
    def is_tah_byte(self, t) -> "bool": ...
    def is_type_arithmetic(self, t) -> "bool": ...
    def is_type_array(self, t) -> "bool": ...
    def is_type_bitfld(self, t) -> "bool": ...
    def is_type_bool(self, t) -> "bool": ...
    def is_type_char(self, t) -> "bool": ...
    def is_type_complex(self, t) -> "bool": ...
    def is_type_const(self, t) -> "bool": ...
    def is_type_double(self, t) -> "bool": ...
    def is_type_enum(self, t) -> "bool": ...
    def is_type_ext_arithmetic(self, t) -> "bool": ...
    def is_type_ext_integral(self, t) -> "bool": ...
    def is_type_float(self, t) -> "bool": ...
    def is_type_floating(self, t) -> "bool": ...
    def is_type_func(self, t) -> "bool": ...
    def is_type_int(self, bt) -> "bool": ...
    def is_type_int128(self, t) -> "bool": ...
    def is_type_int16(self, t) -> "bool": ...
    def is_type_int32(self, t) -> "bool": ...
    def is_type_int64(self, t) -> "bool": ...
    def is_type_integral(self, t) -> "bool": ...
    def is_type_ldouble(self, t) -> "bool": ...
    def is_type_paf(self, t) -> "bool": ...
    def is_type_partial(self, t) -> "bool": ...
    def is_type_ptr(self, t) -> "bool": ...
    def is_type_ptr_or_array(self, t) -> "bool": ...
    def is_type_struct(self, t) -> "bool": ...
    def is_type_struni(self, t) -> "bool": ...
    def is_type_sue(self, t) -> "bool": ...
    def is_type_tbyte(self, t) -> "bool": ...
    def is_type_typedef(self, t) -> "bool": ...
    def is_type_uchar(self, t) -> "bool": ...
    def is_type_uint(self, t) -> "bool": ...
    def is_type_uint128(self, t) -> "bool": ...
    def is_type_uint16(self, t) -> "bool": ...
    def is_type_uint32(self, t) -> "bool": ...
    def is_type_uint64(self, t) -> "bool": ...
    def is_type_union(self, t) -> "bool": ...
    def is_type_unknown(self, t) -> "bool": ...
    def is_type_void(self, t) -> "bool": ...
    def is_type_volatile(self, t) -> "bool": ...
    def is_typeid_last(self, t) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "udm_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class regobjvec_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __getitem__(self, i) -> ""regobj_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""regobj_t const &"": ...
    def begin(self, *args) -> ""qvector< regobj_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< regobj_t >": ...
    def erase(self, *args) -> ""qvector< regobj_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""regobj_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< regobj_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""regobj_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class type_attrs_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __getitem__(self, i) -> ""type_attr_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""type_attr_t const &"": ...
    def begin(self, *args) -> ""qvector< type_attr_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< type_attr_t >": ...
    def erase(self, *args) -> ""qvector< type_attr_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""type_attr_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< type_attr_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""type_attr_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class udtmembervec_template_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> ""udm_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> ""bool"": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""udm_t const &"": ...
    def begin(self, *args) -> ""qvector< udm_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< udm_t >": ...
    def erase(self, *args) -> ""qvector< udm_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""udm_t *"": ...
    def find(self, *args) -> ""qvector< udm_t >": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> ""bool"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< udm_t >": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""udm_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class type_attr_t(object):
    @property
    def key(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "bytevec_t": ...
    def __init__(self) -> "None": ...
    def __ge__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> "bool": ...
    def extract_argloc(self, vloc, ptype, forbid_stkoff) -> "bool": ...
    def get_scalar_bt(self, size) -> "type_t": ...
    def is_restype_enum(self, til, type) -> "bool": ...
    def is_restype_struct(self, til, type) -> "bool": ...
    def is_restype_struni(self, til, type) -> "bool": ...
    def is_restype_void(self, til, type) -> "bool": ...
    def resolve_typedef(self, til, type) -> "type_t const": ...

class til_t(object):
    @property
    def cc(self) -> "compiler_info_t": ...
    @property
    def flags(self) -> "uint32": ...
    @property
    def nbases(self) -> "int": ...
    @property
    def nrefs(self) -> "int": ...
    @property
    def nstreams(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type_names(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def base(self, n) -> "til_t": ...
    def compact_til(self, ti) -> "bool": ...
    def find_base(self, n) -> "til_t": ...
    def get_named_type(self, name) -> "str": ...
    def get_numbered_type(self, ordinal) -> "Any": ...
    def get_type_names(self) -> "str": ...
    def import_type(self, src) -> ""tinfo_t"": ...
    def is_code_far(self, cm) -> "bool": ...
    def is_data_far(self, cm) -> "bool": ...
    def is_dirty(self) -> "bool": ...
    def load_til(self, name, tildir=None) -> "til_t": ...
    def load_til_header(self, tildir, name) -> "til_t": ...
    def named_types(self) -> "Any": ...
    def numbered_types(self) -> "Any": ...
    def set_dirty(self) -> ""void"": ...
    def store_til(self, ti, tildir, name) -> "bool": ...

class rrel_t(object):
    @property
    def off(self) -> "sval_t": ...
    @property
    def reg(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, a) -> "None": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> "bool": ...
    def _consume_scattered(self, p) -> "bool": ...
    def advance(self, delta) -> "bool": ...
    def bad_offset(self) -> "bool": ...
    def get_custom(self) -> "None": ...
    def has_stkoff(self) -> "bool": ...
    def in_stack(self) -> "bool": ...
    def is_custom(self) -> "bool": ...
    def is_ea(self) -> "bool": ...
    def is_reg(self) -> "bool": ...
    def is_reg1(self) -> "bool": ...
    def is_scattered(self) -> "bool": ...
    def reg1(self) -> "int": ...
    def reg2(self) -> "int": ...
    def scattered(self) -> "scattered_aloc_t": ...
    def stkoff(self) -> "sval_t": ...

class argloc_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> ""bool"": ...
    def _consume_rrel(self, p) -> ""bool"": ...
    def _consume_scattered(self, p) -> ""bool"": ...
    def _set_badloc(self) -> ""void"": ...
    def _set_biggest(self, ct, data) -> ""void"": ...
    def _set_custom(self, ct, pdata) -> ""void"": ...
    def _set_ea(self, _ea) -> ""void"": ...
    def _set_reg1(self, reg, off) -> ""void"": ...
    def _set_reg2(self, _reg1, _reg2) -> ""void"": ...
    def _set_stkoff(self, off) -> ""void"": ...
    def advance(self, delta) -> ""bool"": ...
    def align_reg_high(self, size, _slotsize) -> ""void"": ...
    def align_stkoff_high(self, size, _slotsize) -> ""void"": ...
    def atype(self) -> ""argloc_type_t"": ...
    def calc_offset(self) -> ""sval_t"": ...
    def compare(self, r) -> ""int"": ...
    def consume_rrel(self, p) -> ""void"": ...
    def consume_scattered(self, p) -> ""void"": ...
    def get_biggest(self) -> ""argloc_t": ...
    def get_custom(self) -> ""void *"": ...
    def get_ea(self) -> ""ea_t"": ...
    def get_reginfo(self) -> ""uint32"": ...
    def get_rrel(self) -> ""rrel_t &"": ...
    def has_reg(self) -> "bool": ...
    def has_stkoff(self) -> "bool": ...
    def in_stack(self) -> ""bool"": ...
    def is_badloc(self) -> "bool": ...
    def is_custom(self) -> "bool": ...
    def is_ea(self) -> "bool": ...
    def is_fragmented(self) -> "bool": ...
    def is_mixed_scattered(self) -> "bool": ...
    def is_reg(self) -> "bool": ...
    def is_reg1(self) -> "bool": ...
    def is_reg2(self) -> "bool": ...
    def is_rrel(self) -> "bool": ...
    def is_scattered(self) -> "bool": ...
    def is_stkoff(self) -> "bool": ...
    def reg1(self) -> ""int"": ...
    def reg2(self) -> ""int"": ...
    def regoff(self) -> ""int"": ...
    def scattered(self) -> ""scattered_aloc_t &"": ...
    def set_badloc(self) -> ""void"": ...
    def set_ea(self, _ea) -> ""void"": ...
    def set_reg1(self, reg, off) -> ""void"": ...
    def set_reg2(self, _reg1, _reg2) -> ""void"": ...
    def set_stkoff(self, off) -> ""void"": ...
    def stkoff(self) -> ""sval_t"": ...
    def swap(self, r) -> ""void"": ...

class argpart_t(argloc_t):
    @property
    def off(self) -> "ushort": ...
    @property
    def size(self) -> "ushort": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> ""bool"": ...
    def __gt__(self, r) -> ""bool"": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> ""bool"": ...
    def _consume_rrel(self, p) -> ""bool"": ...
    def _consume_scattered(self, p) -> ""bool"": ...
    def _set_badloc(self) -> ""void"": ...
    def _set_biggest(self, ct, data) -> ""void"": ...
    def _set_custom(self, ct, pdata) -> ""void"": ...
    def _set_ea(self, _ea) -> ""void"": ...
    def _set_reg1(self, reg, off) -> ""void"": ...
    def _set_reg2(self, _reg1, _reg2) -> ""void"": ...
    def _set_stkoff(self, off) -> ""void"": ...
    def advance(self, delta) -> ""bool"": ...
    def align_reg_high(self, size, _slotsize) -> ""void"": ...
    def align_stkoff_high(self, size, _slotsize) -> ""void"": ...
    def atype(self) -> ""argloc_type_t"": ...
    def bad_offset(self) -> ""bool"": ...
    def bad_size(self) -> ""bool"": ...
    def calc_offset(self) -> ""sval_t"": ...
    def compare(self, r) -> ""int"": ...
    def consume_rrel(self, p) -> ""void"": ...
    def consume_scattered(self, p) -> ""void"": ...
    def get_biggest(self) -> ""argloc_t": ...
    def get_custom(self) -> ""void *"": ...
    def get_ea(self) -> ""ea_t"": ...
    def get_reginfo(self) -> ""uint32"": ...
    def get_rrel(self) -> ""rrel_t &"": ...
    def has_reg(self) -> "bool": ...
    def has_stkoff(self) -> "bool": ...
    def in_stack(self) -> ""bool"": ...
    def is_badloc(self) -> "bool": ...
    def is_custom(self) -> "bool": ...
    def is_ea(self) -> "bool": ...
    def is_fragmented(self) -> "bool": ...
    def is_mixed_scattered(self) -> "bool": ...
    def is_reg(self) -> "bool": ...
    def is_reg1(self) -> "bool": ...
    def is_reg2(self) -> "bool": ...
    def is_rrel(self) -> "bool": ...
    def is_scattered(self) -> "bool": ...
    def is_stkoff(self) -> "bool": ...
    def reg1(self) -> ""int"": ...
    def reg2(self) -> ""int"": ...
    def regoff(self) -> ""int"": ...
    def scattered(self) -> ""scattered_aloc_t &"": ...
    def set_badloc(self) -> ""void"": ...
    def set_ea(self, _ea) -> ""void"": ...
    def set_reg1(self, reg, off) -> ""void"": ...
    def set_reg2(self, _reg1, _reg2) -> ""void"": ...
    def set_stkoff(self, off) -> ""void"": ...
    def stkoff(self) -> ""sval_t"": ...
    def swap(self, r) -> ""void"": ...

class scattered_aloc_t(argpartvec_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "argpart_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""argpart_t const &"": ...
    def begin(self, *args) -> ""qvector< argpart_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "argpart_t": ...
    def erase(self, *args) -> ""qvector< argpart_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""argpart_t *"": ...
    def find(self, x) -> "argpart_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "argpart_t": ...
    def optimize_argloc(self, vloc, size, gaps) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def print_argloc(self, vloc, size=0, vflags=0) -> "size_t": ...
    def push_back(self) -> "argpart_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class aloc_visitor_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def for_all_arglocs(self, vv, vloc, size, off=0) -> "int": ...
    def visit_location(self, v, off, size) -> "int": ...

class const_aloc_visitor_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def for_all_const_arglocs(self, vv, vloc, size, off=0) -> "int": ...
    def is_golang_cc(self, cc) -> "bool": ...
    def is_purging_cc(self, cm) -> "bool": ...
    def is_swift_cc(self, cc) -> "bool": ...
    def is_user_cc(self, cm) -> "bool": ...
    def is_vararg_cc(self, cm) -> "bool": ...
    def visit_location(self, v, off, size) -> "int": ...

class callregs_t(object):
    @property
    def fpregs(self) -> "intvec_t": ...
    @property
    def gpregs(self) -> "intvec_t": ...
    @property
    def nregs(self) -> "int": ...
    @property
    def policy(self) -> "argreg_policy_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def add_til(self, name, flags) -> "int": ...
    def alloc_type_ordinal(self, ti) -> "uint32": ...
    def alloc_type_ordinals(self, ti, qty) -> "uint32": ...
    def append_abi_opts(self, abi_opts, user_level=False) -> "bool": ...
    def append_tinfo_covered(self, out, typid, offset) -> "bool": ...
    def apply_callee_tinfo(self, caller, tif) -> "bool": ...
    def apply_cdecl(self, til, ea, decl, flags=0) -> "bool": ...
    def apply_named_type(self, ea, name) -> "bool": ...
    def apply_once_tinfo_and_name(self, dea, tif, name) -> "bool": ...
    def apply_tinfo(self, ea, tif, flags) -> "bool": ...
    def by_slots(self) -> "bool": ...
    def calc_c_cpp_name(self, name, type, ccn_flags) -> "ssize_t": ...
    def calc_tinfo_gaps(self, out, typid) -> "bool": ...
    def compare_tinfo(self, t1, t2, tcflags) -> "bool": ...
    def convert_pt_flags_to_hti(self, pt_flags) -> "int": ...
    def copy_named_type(self, dsttil, srctil, name) -> "uint32": ...
    def create_numbered_type_name(self, ord) -> "ssize_t": ...
    def create_tinfo(self, _this, bt, bt2, ptr) -> "bool": ...
    def default_compiler(self) -> "comp_t": ...
    def del_named_type(self, ti, name, ntf_flags) -> "bool": ...
    def del_numbered_type(self, ti, ordinal) -> "bool": ...
    def del_til(self, name) -> "bool": ...
    def del_tinfo_attr(self, tif, key, make_copy) -> "bool": ...
    def del_vftable_ea(self, ordinal) -> "bool": ...
    def deref_ptr(self, ptr_ea, tif, closure_obj=None) -> "bool": ...
    def detach_tinfo_t(self, _this) -> "bool": ...
    def dstr_tinfo(self, tif) -> "char const": ...
    def enable_numbered_types(self, ti, enable) -> "bool": ...
    def find_tinfo_udt_member(self, udm, typid, strmem_flags) -> "int": ...
    def first_named_type(self, ti, ntf_flags) -> "char const": ...
    def gcc_layout(self) -> "bool": ...
    def gen_decorate_name(self, name, mangle, cc, type) -> "bool": ...
    def get_abi_name(self) -> "ssize_t": ...
    def get_alias_target(self, ti, ordinal) -> "uint32": ...
    def get_c_header_path(self) -> "ssize_t": ...
    def get_c_macros(self) -> "ssize_t": ...
    def get_comp(self, comp) -> "comp_t": ...
    def get_compiler_abbr(self, id) -> "char const": ...
    def get_compiler_name(self, id) -> "char const": ...
    def get_idainfo_by_type(self, tif) -> "bool": ...
    def get_idati(self) -> "til_t": ...
    def get_numbered_type_name(self, ti, ordinal) -> "char const": ...
    def get_ordinal_count(self, ti=None) -> "uint32": ...
    def get_ordinal_limit(self, ti=None) -> "uint32": ...
    def get_stock_tinfo(self, tif, id) -> "bool": ...
    def get_tinfo_attr(self, typid, key, bv, all_attrs) -> "bool": ...
    def get_tinfo_attrs(self, typid, tav, include_ref_attrs) -> "bool": ...
    def get_tinfo_by_edm_name(self, tif, til, mname) -> "ssize_t": ...
    def get_tinfo_by_flags(self, out, flags) -> "bool": ...
    def get_tinfo_details(self, typid, bt2, buf) -> "bool": ...
    def get_tinfo_pdata(self, outptr, typid, what) -> "size_t": ...
    def get_tinfo_property(self, typid, gta_prop) -> "size_t": ...
    def get_tinfo_property4(self, typid, gta_prop, p1, p2, p3, p4) -> "size_t": ...
    def get_tinfo_size(self, p_effalign, typid, gts_code) -> "size_t": ...
    def get_type_ordinal(self, ti, name) -> "int32": ...
    def get_vftable_ea(self, ordinal) -> "ea_t": ...
    def get_vftable_ordinal(self, vftable_ea) -> "uint32": ...
    def guess_tinfo(self, out, id) -> "int": ...
    def init_regs(self, cc) -> ""void"": ...
    def is_comp_unsure(self, comp) -> "comp_t": ...
    def is_gcc(self) -> "bool": ...
    def is_gcc32(self) -> "bool": ...
    def is_gcc64(self) -> "bool": ...
    def is_ordinal_name(self, name, ord=None) -> "bool": ...
    def is_type_choosable(self, ti, ordinal) -> "bool": ...
    def lexcompare_tinfo(self, t1, t2, arg3) -> "int": ...
    def next_named_type(self, ti, name, ntf_flags) -> "char const": ...
    def parse_decl(self, out_tif, til, decl, pt_flags) -> "bool": ...
    def parse_decls(self, til, input, printer, hti_flags) -> "int": ...
    def print_tinfo(self, prefix, indent, cmtindent, flags, tif, name, cmt) -> "bool": ...
    def print_type(self, ea, prtype_flags) -> "bool": ...
    def read_tinfo_bitfield_value(self, typid, v, bitoff) -> "uint64": ...
    def regcount(self, cc) -> "int": ...
    def reginds(self, gp_ind, fp_ind, r) -> ""bool"": ...
    def remove_abi_opts(self, abi_opts, user_level=False) -> "bool": ...
    def reset(self) -> ""void"": ...
    def save_tinfo(self, tif, til, ord, name, ntf_flags) -> "tinfo_code_t": ...
    def score_tinfo(self, tif) -> "uint32": ...
    def serialize_tinfo(self, type, fields, fldcmts, tif, sudt_flags) -> "bool": ...
    def set(self, _policy, gprs, fprs) -> ""void"": ...
    def set_abi_name(self, abiname, user_level=False) -> "bool": ...
    def set_compiler(self, cc, flags, abiname=None) -> "bool": ...
    def set_compiler_id(self, id, abiname=None) -> "bool": ...
    def set_compiler_string(self, compstr, user_level) -> "bool": ...
    def set_registers(self, kind, first_reg, last_reg) -> ""void"": ...
    def set_tinfo_attr(self, tif, ta, may_overwrite) -> "bool": ...
    def set_tinfo_attrs(self, tif, ta) -> "bool": ...
    def set_tinfo_property(self, tif, sta_prop, x) -> "size_t": ...
    def set_tinfo_property4(self, tif, sta_prop, p1, p2, p3, p4) -> "size_t": ...
    def set_type_alias(self, ti, src_ordinal, dst_ordinal) -> "bool": ...
    def set_vftable_ea(self, ordinal, vftable_ea) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def tinfo_errstr(self, code) -> "char const": ...
    def udt_type_data_t__find_member(self, _this, udm, strmem_flags) -> "ssize_t": ...
    def udt_type_data_t__get_best_fit_member(self, _this, disp) -> "ssize_t": ...
    def use_golang_cc(self) -> "bool": ...
    def value_repr_t__from_opinfo(self, _this, flags, afl, opinfo, ap) -> "bool": ...
    def value_repr_t__print_(self, _this, colored) -> "size_t": ...
    def verify_tinfo(self, typid) -> "int": ...
    def visit_subtypes(self, visitor, out, tif, name, cmt) -> "int": ...
    def write_tinfo_bitfield_value(self, typid, dst, v, bitoff) -> "uint64": ...

class tinfo_t(object):
    @property
    def name(self) -> "str": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, ordinal, name, tid, til) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def __repr__(self) -> "Any": ...
    def __str__(self) -> "str": ...
    def _print(self, name, prtype_flags, indent, cmtindent, prefix, cmt) -> ""bool"": ...
    def add_edm(self, edm, bmask=bmask64_t(-1), etf_flags=0, idx=-1) -> "tinfo_code_t": ...
    def add_funcarg(self, farg, etf_flags, idx) -> ""tinfo_code_t"": ...
    def add_udm(self, udm, etf_flags=0, times=1, idx=-1) -> "tinfo_code_t": ...
    def append_covered(self, out, offset) -> ""bool"": ...
    def calc_enum_mask(self) -> "int": ...
    def calc_gaps(self, out) -> "bool": ...
    def calc_purged_bytes(self) -> ""int"": ...
    def calc_score(self) -> "int": ...
    def calc_udt_aligns(self, sudt_flags) -> ""bool"": ...
    def change_sign(self, sign) -> "bool": ...
    def clear(self) -> ""void"": ...
    def clr_const(self) -> ""bool"": ...
    def clr_const_volatile(self) -> ""bool"": ...
    def clr_decl_const_volatile(self) -> ""void"": ...
    def clr_volatile(self) -> "bool": ...
    def compare(self, r) -> ""int"": ...
    def compare_with(self, r, tcflags=0) -> "bool": ...
    def convert_array_to_ptr(self) -> "bool": ...
    def copy(self) -> ""tinfo_t"": ...
    def copy_type(self, *args) -> ""tinfo_code_t"": ...
    def create_array(self, p, decl_type=BT_ARRAY) -> "bool": ...
    def create_bitfield(self, p, decl_type=BT_BITFIELD) -> "bool": ...
    def create_enum(self, bte=BTE_ALWAYS|BTE_HEX) -> "bool": ...
    def create_forward_decl(self, til, decl_type, name, ntf_flags=0) -> "tinfo_code_t": ...
    def create_func(self, p, decl_type=BT_FUNC) -> "bool": ...
    def create_ptr(self, *args) -> ""bool"": ...
    def create_simple_type(self, decl_type) -> "bool": ...
    def create_typedef(self, p, decl_type=BTF_TYPEDEF, try_ordinal=True) -> "bool": ...
    def create_udt(self, *args) -> ""bool"": ...
    def del_attr(self, key, make_copy) -> ""bool"": ...
    def del_attrs(self) -> ""void"": ...
    def del_edm(self, *args) -> ""tinfo_code_t"": ...
    def del_edm_by_value(self, value, etf_flags=0, bmask=bmask64_t(-1), serial=0) -> "tinfo_code_t": ...
    def del_edms(self, idx1, idx2, etf_flags=0) -> "tinfo_code_t": ...
    def del_funcarg(self, idx, etf_flags=0) -> "tinfo_code_t": ...
    def del_funcargs(self, idx1, idx2, etf_flags) -> ""tinfo_code_t"": ...
    def del_udm(self, index, etf_flags=0) -> "tinfo_code_t": ...
    def del_udms(self, idx1, idx2, etf_flags) -> ""tinfo_code_t"": ...
    def deserialize(self, *args) -> ""bool"": ...
    def detach(self) -> "bool": ...
    def dstr(self) -> "str": ...
    def edit_edm(self, *args) -> ""tinfo_code_t"": ...
    def empty(self) -> "bool": ...
    def equals_to(self, r) -> ""bool"": ...
    def expand_udt(self, idx, delta, etf_flags) -> ""tinfo_code_t"": ...
    def find_edm(self, edm, value, bmask=DEFMASK64, serial=0) -> "ssize_t": ...
    def find_udm(self, *args) -> "int": ...
    def force_tid(self) -> ""tid_t"": ...
    def get_alias_target(self) -> "int": ...
    def get_alignment(self) -> "int": ...
    def get_array_details(self, ai) -> "bool": ...
    def get_array_element(self) -> "tinfo_t": ...
    def get_array_nelems(self) -> "int": ...
    def get_attr(self, key, all_attrs) -> ""PyObject *"": ...
    def get_attrs(self, tav, all_attrs) -> ""bool"": ...
    def get_bit_buckets(self, buckets) -> "bool": ...
    def get_bitfield_details(self, bi) -> "bool": ...
    def get_by_edm_name(self, mname, til=None) -> "ssize_t": ...
    def get_declalign(self) -> "str": ...
    def get_decltype(self) -> ""type_t"": ...
    def get_edm(self, name) -> "ssize_t": ...
    def get_edm_by_tid(self, edm, tid) -> "ssize_t": ...
    def get_edm_by_value(self, *args) -> ""ssize_t"": ...
    def get_edm_tid(self, idx) -> "tid_t": ...
    def get_enum_base_type(self) -> ""type_t"": ...
    def get_enum_details(self, ei) -> ""bool"": ...
    def get_enum_nmembers(self) -> ""size_t"": ...
    def get_enum_radix(self) -> ""int"": ...
    def get_enum_repr(self, repr) -> "tinfo_code_t": ...
    def get_enum_width(self) -> ""int"": ...
    def get_final_element(self) -> ""tinfo_t"": ...
    def get_final_ordinal(self) -> ""uint32"": ...
    def get_final_type_name(self) -> "bool": ...
    def get_forward_type(self) -> ""type_t"": ...
    def get_frame_func(self) -> "ea_t": ...
    def get_func_details(self, fi, gtd=GTD_CALC_ARGLOCS) -> "bool": ...
    def get_func_frame(self, pfn) -> "bool": ...
    def get_innermost_member_type(self, bitoffset) -> ""tinfo_t"": ...
    def get_innermost_udm(self, bitoffset) -> "tinfo_t": ...
    def get_methods(self, methods) -> ""bool"": ...
    def get_modifiers(self) -> "type_t": ...
    def get_named_type(self, til, name, decl_type=BTF_TYPEDEF, resolve=True, try_ordinal=True) -> "bool": ...
    def get_nargs(self) -> ""int"": ...
    def get_next_type_name(self) -> ""bool"": ...
    def get_nice_type_name(self) -> "bool": ...
    def get_nth_arg(self, n) -> ""tinfo_t"": ...
    def get_numbered_type(self, til, ordinal, decl_type=BTF_TYPEDEF, resolve=True) -> "bool": ...
    def get_onemember_type(self) -> ""tinfo_t"": ...
    def get_ordinal(self) -> "int": ...
    def get_pointed_object(self) -> ""tinfo_t"": ...
    def get_ptr_details(self, pi) -> ""bool"": ...
    def get_ptrarr_object(self) -> "tinfo_t": ...
    def get_ptrarr_objsize(self) -> ""int"": ...
    def get_realtype(self, full=False) -> "type_t": ...
    def get_rettype(self) -> "tinfo_t": ...
    def get_sign(self) -> ""type_sign_t"": ...
    def get_size(self, p_effalign=None, gts_code=0) -> "int": ...
    def get_stkvar(self, insn, x, v) -> "ssize_t": ...
    def get_stock(self, id) -> ""tinfo_t"": ...
    def get_tid(self) -> "tid_t": ...
    def get_til(self) -> "til_t": ...
    def get_type_by_tid(self, tid) -> ""bool"": ...
    def get_type_cmt(self) -> "int": ...
    def get_type_name(self) -> "str": ...
    def get_type_rptcmt(self) -> ""bool"": ...
    def get_udm(self, name) -> "int": ...
    def get_udm_by_offset(self, offset) -> "int": ...
    def get_udm_by_tid(self, udm, tid) -> ""ssize_t"": ...
    def get_udm_tid(self, idx) -> ""tid_t"": ...
    def get_udt_details(self, udt, gtd) -> ""bool"": ...
    def get_udt_nmembers(self) -> ""int"": ...
    def get_unpadded_size(self) -> ""size_t"": ...
    def has_details(self) -> "bool": ...
    def has_union(self) -> "bool": ...
    def has_vftable(self) -> "bool": ...
    def is_aliased(self) -> "bool": ...
    def is_anonymous_udt(self) -> "bool": ...
    def is_arithmetic(self) -> "bool": ...
    def is_array(self) -> "bool": ...
    def is_bitfield(self) -> "bool": ...
    def is_bitmask_enum(self) -> "bool": ...
    def is_bool(self) -> "bool": ...
    def is_castable_to(self, target) -> "bool": ...
    def is_char(self) -> "bool": ...
    def is_complex(self) -> "bool": ...
    def is_const(self) -> "bool": ...
    def is_correct(self) -> "bool": ...
    def is_decl_array(self) -> "bool": ...
    def is_decl_bitfield(self) -> "bool": ...
    def is_decl_bool(self) -> "bool": ...
    def is_decl_char(self) -> "bool": ...
    def is_decl_complex(self) -> "bool": ...
    def is_decl_const(self) -> "bool": ...
    def is_decl_double(self) -> "bool": ...
    def is_decl_enum(self) -> "bool": ...
    def is_decl_float(self) -> "bool": ...
    def is_decl_floating(self) -> "bool": ...
    def is_decl_func(self) -> "bool": ...
    def is_decl_int(self) -> "bool": ...
    def is_decl_int128(self) -> "bool": ...
    def is_decl_int16(self) -> "bool": ...
    def is_decl_int32(self) -> "bool": ...
    def is_decl_int64(self) -> "bool": ...
    def is_decl_last(self) -> "bool": ...
    def is_decl_ldouble(self) -> "bool": ...
    def is_decl_paf(self) -> "bool": ...
    def is_decl_partial(self) -> "bool": ...
    def is_decl_ptr(self) -> "bool": ...
    def is_decl_struct(self) -> "bool": ...
    def is_decl_sue(self) -> "bool": ...
    def is_decl_tbyte(self) -> "bool": ...
    def is_decl_typedef(self) -> "bool": ...
    def is_decl_uchar(self) -> "bool": ...
    def is_decl_udt(self) -> "bool": ...
    def is_decl_uint(self) -> "bool": ...
    def is_decl_uint128(self) -> "bool": ...
    def is_decl_uint16(self) -> "bool": ...
    def is_decl_uint32(self) -> "bool": ...
    def is_decl_uint64(self) -> "bool": ...
    def is_decl_union(self) -> "bool": ...
    def is_decl_unknown(self) -> "bool": ...
    def is_decl_void(self) -> "bool": ...
    def is_decl_volatile(self) -> "bool": ...
    def is_double(self) -> "bool": ...
    def is_empty_enum(self) -> "bool": ...
    def is_empty_udt(self) -> "bool": ...
    def is_enum(self) -> "bool": ...
    def is_ext_arithmetic(self) -> "bool": ...
    def is_ext_integral(self) -> "bool": ...
    def is_fixed_struct(self) -> "bool": ...
    def is_float(self) -> "bool": ...
    def is_floating(self) -> "bool": ...
    def is_forward_decl(self) -> "bool": ...
    def is_forward_enum(self) -> "bool": ...
    def is_forward_struct(self) -> "bool": ...
    def is_forward_union(self) -> "bool": ...
    def is_frame(self) -> "bool": ...
    def is_from_subtil(self) -> "bool": ...
    def is_func(self) -> "bool": ...
    def is_funcptr(self) -> "bool": ...
    def is_high_func(self) -> "bool": ...
    def is_int(self) -> "bool": ...
    def is_int128(self) -> "bool": ...
    def is_int16(self) -> "bool": ...
    def is_int32(self) -> "bool": ...
    def is_int64(self) -> "bool": ...
    def is_integral(self) -> "bool": ...
    def is_ldouble(self) -> "bool": ...
    def is_manually_castable_to(self, target: "tinfo_t") -> "bool": ...
    def is_one_fpval(self) -> "bool": ...
    def is_paf(self) -> "bool": ...
    def is_partial(self) -> "bool": ...
    def is_ptr(self) -> "bool": ...
    def is_ptr_or_array(self) -> "bool": ...
    def is_punknown(self) -> "bool": ...
    def is_purging_cc(self) -> "bool": ...
    def is_pvoid(self) -> "bool": ...
    def is_scalar(self) -> "bool": ...
    def is_shifted_ptr(self) -> "bool": ...
    def is_signed(self) -> "bool": ...
    def is_small_udt(self) -> "bool": ...
    def is_sse_type(self) -> "bool": ...
    def is_struct(self) -> "bool": ...
    def is_sue(self) -> "bool": ...
    def is_tbyte(self) -> "bool": ...
    def is_typedef(self) -> "bool": ...
    def is_typeref(self) -> "bool": ...
    def is_uchar(self) -> "bool": ...
    def is_udm_by_til(self, idx) -> "bool": ...
    def is_udt(self) -> "bool": ...
    def is_uint(self) -> "bool": ...
    def is_uint128(self) -> "bool": ...
    def is_uint16(self) -> "bool": ...
    def is_uint32(self) -> "bool": ...
    def is_uint64(self) -> "bool": ...
    def is_union(self) -> "bool": ...
    def is_unknown(self) -> "bool": ...
    def is_unsigned(self) -> "bool": ...
    def is_user_cc(self) -> "bool": ...
    def is_vararg_cc(self) -> "bool": ...
    def is_varmember(self) -> "bool": ...
    def is_varstruct(self) -> "bool": ...
    def is_vftable(self) -> "bool": ...
    def is_void(self) -> "bool": ...
    def is_volatile(self) -> "bool": ...
    def is_well_defined(self) -> "bool": ...
    def iter_enum(self) -> "Any": ...
    def iter_func(self) -> "Any": ...
    def iter_struct(self) -> "Any": ...
    def iter_udt(self) -> "Any": ...
    def iter_union(self) -> "Any": ...
    def parse(self, decl, til=None, pt_flags=0) -> "bool": ...
    def present(self) -> ""bool"": ...
    def read_bitfield_value(self, v, bitoff) -> "int": ...
    def remove_pointer(self, tif) -> "tinfo_t": ...
    def remove_ptr_or_array(self) -> ""bool"": ...
    def rename_edm(self, idx, name, etf_flags) -> ""tinfo_code_t"": ...
    def rename_funcarg(self, index, name, etf_flags=0) -> "tinfo_code_t": ...
    def rename_type(self, name, ntf_flags) -> ""tinfo_code_t"": ...
    def rename_udm(self, index, name, etf_flags=0) -> "tinfo_code_t": ...
    def requires_qualifier(self, name, offset) -> "bool": ...
    def save_type(self, ntf_flags=0x0001|0x0004) -> "tinfo_code_t": ...
    def serialize(self, sudt_flags=SUDT_FAST|SUDT_TRUNC) -> "PyObject": ...
    def set_attr(self, ta, may_overwrite) -> ""bool"": ...
    def set_attrs(self, tav) -> "bool": ...
    def set_const(self) -> ""void"": ...
    def set_declalign(self, declalign) -> ""bool"": ...
    def set_edm_cmt(self, idx, cmt, etf_flags=0) -> "tinfo_code_t": ...
    def set_enum_is_bitmask(self, *args) -> ""tinfo_code_t"": ...
    def set_enum_radix(self, radix, sign, etf_flags) -> ""tinfo_code_t"": ...
    def set_enum_repr(self, repr, etf_flags=0) -> "tinfo_code_t": ...
    def set_enum_sign(self, sign, etf_flags=0) -> "tinfo_code_t": ...
    def set_enum_width(self, nbytes, etf_flags) -> ""tinfo_code_t"": ...
    def set_fixed_struct(self, on=True) -> "tinfo_code_t": ...
    def set_func_cc(self, cc, etf_flags=0) -> "tinfo_code_t": ...
    def set_func_retloc(self, argloc, etf_flags=0) -> "tinfo_code_t": ...
    def set_func_rettype(self, tif, etf_flags=0) -> "tinfo_code_t": ...
    def set_funcarg_loc(self, index, argloc, etf_flags) -> ""tinfo_code_t"": ...
    def set_funcarg_type(self, index, tif, etf_flags) -> ""tinfo_code_t"": ...
    def set_methods(self, methods) -> "bool": ...
    def set_modifiers(self, mod) -> ""void"": ...
    def set_named_type(self, til, name, ntf_flags) -> ""tinfo_code_t"": ...
    def set_numbered_type(self, til, ord, ntf_flags, name) -> ""tinfo_code_t"": ...
    def set_struct_size(self, new_size) -> ""tinfo_code_t"": ...
    def set_symbol_type(self, til, name, ntf_flags=0) -> "tinfo_code_t": ...
    def set_type_alias(self, dest_ord) -> "bool": ...
    def set_type_alignment(self, declalign, etf_flags=0) -> "tinfo_code_t": ...
    def set_type_cmt(self, cmt, is_regcmt, etf_flags) -> ""tinfo_code_t"": ...
    def set_udm_by_til(self, idx, on, etf_flags) -> ""tinfo_code_t"": ...
    def set_udm_cmt(self, index, cmt, is_regcmt=False, etf_flags=0) -> "tinfo_code_t": ...
    def set_udm_repr(self, index, repr, etf_flags) -> ""tinfo_code_t"": ...
    def set_udm_type(self, index, tif, etf_flags, repr) -> ""tinfo_code_t"": ...
    def set_udt_alignment(self, sda, etf_flags) -> ""tinfo_code_t"": ...
    def set_udt_pack(self, pack, etf_flags=0) -> "tinfo_code_t": ...
    def set_volatile(self) -> ""void"": ...
    def swap(self, r) -> ""void"": ...
    def write_bitfield_value(self, dst, v, bitoff) -> ""uint64"": ...

class simd_info_t(object):
    @property
    def memtype(self) -> "type_t": ...
    @property
    def size(self) -> "uint16": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def tif(self) -> "tinfo_t": ...
    def __init__(self, nm=None, sz=0, memt=BTF_UNK) -> "None": ...
    def dump_func_type_data(self, fti, praloc_bits) -> "bool": ...
    def guess_func_cc(self, fti, npurged, cc_flags) -> "cm_t": ...
    def match_pattern(self, pattern) -> ""bool"": ...

class ptr_type_data_t(object):
    @property
    def based_ptr_size(self) -> "uchar": ...
    @property
    def closure(self) -> "tinfo_t": ...
    @property
    def delta(self) -> "int32": ...
    @property
    def obj_type(self) -> "tinfo_t": ...
    @property
    def parent(self) -> "tinfo_t": ...
    @property
    def taptr_bits(self) -> "uchar": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, c=tinfo_t(), bps=0, p=tinfo_t(), d=0) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ne__(self, r) -> ""bool"": ...
    def is_code_ptr(self) -> "bool": ...
    def is_shifted(self) -> "bool": ...
    def swap(self, r) -> ""void"": ...

class array_type_data_t(object):
    @property
    def base(self) -> "uint32": ...
    @property
    def elem_type(self) -> "tinfo_t": ...
    @property
    def nelems(self) -> "uint32": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, b=0, n=0) -> "None": ...
    def swap(self, r) -> ""void"": ...

class funcarg_t(object):
    @property
    def argloc(self) -> "argloc_t": ...
    @property
    def cmt(self) -> "qstring": ...
    @property
    def flags(self) -> "uint32": ...
    @property
    def name(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "tinfo_t": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> "bool": ...
    def __ne__(self, r) -> ""bool"": ...

class func_type_data_t(funcargvec_t):
    @property
    def cc(self) -> "cm_t": ...
    @property
    def flags(self) -> "int": ...
    @property
    def retloc(self) -> "argloc_t": ...
    @property
    def rettype(self) -> "tinfo_t": ...
    @property
    def spoiled(self) -> "reginfovec_t": ...
    @property
    def stkargs(self) -> "uval_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "funcarg_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""funcarg_t const &"": ...
    def begin(self, *args) -> ""qvector< funcarg_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def dump(self, praloc_bits=2) -> "bool": ...
    def empty(self) -> "bool": ...
    def end(self) -> "funcarg_t": ...
    def erase(self, *args) -> ""qvector< funcarg_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""funcarg_t *"": ...
    def find(self, x) -> "funcarg_t": ...
    def find_argument(self, *args) -> "int": ...
    def get_call_method(self) -> ""int"": ...
    def get_tid(self) -> "tid_t": ...
    def grow(self, *args) -> ""void"": ...
    def guess_cc(self, purged, cc_flags) -> ""cm_t"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "funcarg_t": ...
    def is_const(self) -> "bool": ...
    def is_ctor(self) -> "bool": ...
    def is_dtor(self) -> "bool": ...
    def is_golang_cc(self) -> "bool": ...
    def is_high(self) -> "bool": ...
    def is_noret(self) -> "bool": ...
    def is_pure(self) -> "bool": ...
    def is_static(self) -> "bool": ...
    def is_swift_cc(self) -> "bool": ...
    def is_vararg_cc(self) -> "bool": ...
    def is_virtual(self) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "funcarg_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class stkarg_area_info_t(object):
    @property
    def cb(self) -> "size_t": ...
    @property
    def linkage_area(self) -> "sval_t": ...
    @property
    def shadow_size(self) -> "sval_t": ...
    @property
    def stkarg_offset(self) -> "sval_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class edm_t(object):
    @property
    def cmt(self) -> "qstring": ...
    @property
    def name(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "uint64": ...
    def __init__(self, *args) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> ""bool"": ...
    def empty(self) -> ""bool"": ...
    def get_tid(self) -> ""tid_t"": ...
    def swap(self, r) -> ""void"": ...

class enum_type_data_t(edmvec_t):
    @property
    def bte(self) -> "bte_t": ...
    @property
    def group_sizes(self) -> "intvec_t": ...
    @property
    def taenum_bits(self) -> "uint32": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _bte=BTE_ALWAYS|BTE_HEX) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> "edm_t": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def add_constant(self, name, value, cmt) -> ""void"": ...
    def add_unique(self, x) -> ""bool"": ...
    def all_constants(self) -> "Any": ...
    def all_groups(self, skip_trivial) -> "Any": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""edm_t const &"": ...
    def begin(self, *args) -> ""qvector< edm_t >": ...
    def calc_mask(self) -> ""uint64"": ...
    def calc_nbytes(self) -> "int": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "edm_t": ...
    def erase(self, *args) -> ""qvector< edm_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""edm_t *"": ...
    def find(self, x) -> "edm_t": ...
    def find_member(self, name, frm=0, to=size_t(-1)) -> "ssize_t": ...
    def get_constant_group(self, group_start_index, group_size, idx) -> "bool": ...
    def get_enum_radix(self) -> ""int"": ...
    def get_max_serial(self, value) -> ""uchar"": ...
    def get_serial(self, index) -> "str": ...
    def get_value_repr(self, repr) -> "tinfo_code_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def has_lzero(self) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "edm_t": ...
    def is_bf(self) -> "bool": ...
    def is_bin(self) -> "bool": ...
    def is_char(self) -> "bool": ...
    def is_dec(self) -> "bool": ...
    def is_group_mask_at(self, idx) -> "bool": ...
    def is_hex(self) -> "bool": ...
    def is_number_signed(self) -> "bool": ...
    def is_oct(self) -> "bool": ...
    def is_sbin(self) -> "bool": ...
    def is_shex(self) -> "bool": ...
    def is_soct(self) -> "bool": ...
    def is_udec(self) -> "bool": ...
    def is_valid_group_sizes(self) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "edm_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def set_enum_radix(self, radix, sign) -> ""void"": ...
    def set_lzero(self, on) -> ""void"": ...
    def set_nbytes(self, nbytes) -> ""bool"": ...
    def set_value_repr(self, repr) -> ""tinfo_code_t"": ...
    def size(self) -> ""size_t"": ...
    def store_64bit_values(self) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class typedef_type_data_t(object):
    @property
    def is_ordref(self) -> "bool": ...
    @property
    def ordinal(self) -> "uint32": ...
    @property
    def resolve(self) -> "bool": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __str__(self) -> "str": ...
    def _print(self, colored=False) -> "size_t": ...
    def empty(self) -> "bool": ...
    def get_vtype(self) -> "int": ...
    def has_tabform(self) -> "bool": ...
    def is_custom(self) -> "bool": ...
    def is_offset(self) -> "bool": ...
    def is_typref(self) -> "bool": ...
    def swap(self, r) -> ""void"": ...

class custom_data_type_info_t(object):
    @property
    def dtid(self) -> "int16": ...
    @property
    def fid(self) -> "int16": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...

class value_repr_t(object):
    @property
    def ap(self) -> "array_parameters_t": ...
    @property
    def bits(self) -> "uint64": ...
    @property
    def cd(self) -> "custom_data_type_info_t": ...
    @property
    def delta(self) -> "adiff_t": ...
    @property
    def ri(self) -> "refinfo_t": ...
    @property
    def strtype(self) -> "int32": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type_ordinal(self) -> "uint32": ...
    def __init__(self) -> "None": ...
    def __str__(self) -> ""qstring"": ...
    def _print(self, colored) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def from_opinfo(self, flags, afl, opinfo, _ap) -> ""bool"": ...
    def get_vtype(self) -> ""uint64"": ...
    def has_lzeroes(self) -> "bool": ...
    def has_tabform(self) -> "bool": ...
    def init_ap(self, _ap) -> ""void"": ...
    def is_custom(self) -> "bool": ...
    def is_enum(self) -> "bool": ...
    def is_offset(self) -> "bool": ...
    def is_signed(self) -> "bool": ...
    def is_strlit(self) -> "bool": ...
    def is_stroff(self) -> "bool": ...
    def is_typref(self) -> "bool": ...
    def parse_value_repr(self, *args) -> ""bool"": ...
    def set_ap(self, _ap) -> ""void"": ...
    def set_lzeroes(self, on) -> ""void"": ...
    def set_signed(self, on) -> ""void"": ...
    def set_tabform(self, on) -> ""void"": ...
    def set_vtype(self, vt) -> ""void"": ...
    def swap(self, r) -> ""void"": ...

class udm_t(object):
    @property
    def cmt(self) -> "qstring": ...
    @property
    def effalign(self) -> "int": ...
    @property
    def fda(self) -> "uchar": ...
    @property
    def name(self) -> "qstring": ...
    @property
    def offset(self) -> "uint64": ...
    @property
    def repr(self) -> "value_repr_t": ...
    @property
    def size(self) -> "uint64": ...
    @property
    def tafld_bits(self) -> "uint32": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "tinfo_t": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> "bool": ...
    def __ne__(self, r) -> "bool": ...
    def begin(self) -> "int": ...
    def can_be_dtor(self) -> "bool": ...
    def can_rename(self) -> "bool": ...
    def clr_baseclass(self) -> ""void"": ...
    def clr_method(self) -> ""void"": ...
    def clr_unaligned(self) -> ""void"": ...
    def clr_vftable(self) -> ""void"": ...
    def clr_virtbase(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> ""uint64"": ...
    def is_anonymous_udm(self) -> "bool": ...
    def is_baseclass(self) -> "bool": ...
    def is_bitfield(self) -> "bool": ...
    def is_by_til(self) -> "bool": ...
    def is_gap(self) -> "bool": ...
    def is_method(self) -> "bool": ...
    def is_regcmt(self) -> "bool": ...
    def is_retaddr(self) -> "bool": ...
    def is_savregs(self) -> "bool": ...
    def is_special_member(self) -> "bool": ...
    def is_unaligned(self) -> "bool": ...
    def is_vftable(self) -> "bool": ...
    def is_virtbase(self) -> "bool": ...
    def is_zero_bitfield(self) -> "bool": ...
    def set_baseclass(self, on) -> ""void"": ...
    def set_by_til(self, on) -> ""void"": ...
    def set_method(self, on) -> ""void"": ...
    def set_regcmt(self, on) -> ""void"": ...
    def set_retaddr(self, on) -> ""void"": ...
    def set_savregs(self, on) -> ""void"": ...
    def set_unaligned(self, on) -> ""void"": ...
    def set_value_repr(self, r) -> ""void"": ...
    def set_vftable(self, on) -> ""void"": ...
    def set_virtbase(self, on) -> ""void"": ...
    def swap(self, r) -> ""void"": ...

class udtmembervec_t(udtmembervec_template_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> ""udm_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> ""bool"": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""udm_t const &"": ...
    def begin(self, *args) -> ""qvector< udm_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< udm_t >": ...
    def erase(self, *args) -> ""qvector< udm_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""udm_t *"": ...
    def find(self, *args) -> ""qvector< udm_t >": ...
    def find_member(self, pattern_udm, strmem_flags) -> "ssize_t": ...
    def get_best_fit_member(self, disp) -> "ssize_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> ""bool"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< udm_t >": ...
    def is_last_baseclass(self, idx) -> "bool": ...
    def is_msstruct(self) -> "bool": ...
    def is_vftable(self) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""udm_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def stroff_as_size(self, plen, tif, value) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class udt_type_data_t(udtmembervec_t):
    @property
    def effalign(self) -> "uint32": ...
    @property
    def is_union(self) -> "bool": ...
    @property
    def pack(self) -> "uchar": ...
    @property
    def sda(self) -> "uchar": ...
    @property
    def taudt_bits(self) -> "uint32": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def total_size(self) -> "size_t": ...
    @property
    def unpadded_size(self) -> "size_t": ...
    @property
    def version(self) -> "uchar": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __getitem__(self, i) -> ""udm_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __ne__(self, r) -> ""bool"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> ""bool"": ...
    def add_member(self, _name, _type, _offset) -> ""udm_t &"": ...
    def add_unique(self, x) -> ""bool"": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""udm_t const &"": ...
    def begin(self, *args) -> ""qvector< udm_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< udm_t >": ...
    def erase(self, *args) -> ""qvector< udm_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""udm_t *"": ...
    def find(self, *args) -> ""qvector< udm_t >": ...
    def find_member(self, *args) -> "int": ...
    def get_best_fit_member(self, disp) -> ""ssize_t"": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> ""bool"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< udm_t >": ...
    def is_cppobj(self) -> "bool": ...
    def is_fixed(self) -> "bool": ...
    def is_last_baseclass(self, idx: "size_t") -> "bool": ...
    def is_msstruct(self) -> "bool": ...
    def is_unaligned(self) -> "bool": ...
    def is_vftable(self) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""udm_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def set_fixed(self, on) -> ""void"": ...
    def set_vftable(self, on) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def stroff_as_size(self, plen, tif, value) -> "bool": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class udm_visitor_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def visit_stroff_udms(self, sfv, path, disp, appzero) -> "int": ...
    def visit_udm(self, tid, tif, udt, idx) -> "int": ...

class bitfield_type_data_t(object):
    @property
    def is_unsigned(self) -> "bool": ...
    @property
    def nbytes(self) -> "uchar": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def width(self) -> "uchar": ...
    def __init__(self, _nbytes=0, _width=0, _is_unsigned=False) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def compare(self, r) -> ""int"": ...
    def inf_big_arg_align(self, cc) -> "bool": ...
    def inf_huge_arg_align(self, cc) -> "bool": ...
    def inf_pack_stkargs(self, cc) -> "bool": ...
    def is_one_bit_mask(self, mask) -> "bool": ...
    def is_valid_bitfield(self) -> "bool": ...
    def swap(self, r) -> ""void"": ...

class type_mods_t(object):
    @property
    def cmt(self) -> "qstring": ...
    @property
    def flags(self) -> "int": ...
    @property
    def name(self) -> "qstring": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def type(self) -> "tinfo_t": ...
    def __init__(self) -> "None": ...
    def clear(self) -> ""void"": ...
    def has_cmt(self) -> "bool": ...
    def has_info(self) -> "bool": ...
    def has_name(self) -> "bool": ...
    def has_type(self) -> "bool": ...
    def is_rptcmt(self) -> "bool": ...
    def set_new_cmt(self, c, rptcmt) -> ""void"": ...
    def set_new_name(self, n) -> ""void"": ...
    def set_new_type(self, t) -> ""void"": ...

class tinfo_visitor_t(object):
    @property
    def state(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, s=0) -> "None": ...
    def __disown__(self) -> "Any": ...
    def apply_to(self, tif, out, name, cmt) -> ""int"": ...
    def prune_now(self) -> ""void"": ...
    def visit_type(self, out, tif, name, cmt) -> ""int"": ...

class regobj_t(object):
    @property
    def regidx(self) -> "int": ...
    @property
    def relocate(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def value(self) -> "bytevec_t": ...
    def __init__(self) -> "None": ...
    def size(self) -> "size_t": ...

class regobjs_t(regobjvec_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> ""regobj_t const &"": ...
    def __len__(self) -> ""size_t"": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def apply_tinfo_to_stkarg(self, insn, x, v, tif, name) -> "bool": ...
    def at(self, _idx) -> ""regobj_t const &"": ...
    def begin(self, *args) -> ""qvector< regobj_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> ""bool"": ...
    def end(self, *args) -> ""qvector< regobj_t >": ...
    def erase(self, *args) -> ""qvector< regobj_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""regobj_t *"": ...
    def grow(self, *args) -> ""void"": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> ""qvector< regobj_t >": ...
    def pack_idcobj_to_bv(self, obj, tif, bytes, objoff, pio_flags=0) -> "error_t": ...
    def pack_idcobj_to_idb(self, obj, tif, ea, pio_flags=0) -> "error_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, *args) -> ""regobj_t &"": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...
    def unpack_idcobj_from_bv(self, obj, tif, bytes, pio_flags=0) -> "error_t": ...

class argtinfo_helper_t(object):
    @property
    def reserved(self) -> "size_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def func_has_stkframe_hole(self, ea, fti) -> "bool": ...
    def has_delay_slot(self, arg0) -> "bool": ...
    def is_stkarg_load(self, insn: "insn_t", src: "int *", dst: "int *") -> "bool": ...
    def set_op_tinfo(self, insn, x, tif, name) -> "bool": ...
    def use_arg_tinfos(self, caller, fti, rargs) -> ""void"": ...

class lowertype_helper_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args, **kwargs) -> "None": ...
    def func_has_stkframe_hole(self, candidate, candidate_data) -> "bool": ...
    def get_func_purged_bytes(self, candidate, candidate_data) -> ""int"": ...

class ida_lowertype_helper_t(lowertype_helper_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, _tif, _ea, _pb) -> "None": ...
    def create_enum_type(self, enum_name, ei, enum_width, sign, convert_to_bitmask, enum_cmt=None) -> "tid_t": ...
    def func_has_stkframe_hole(self, candidate, candidate_data) -> ""bool"": ...
    def get_func_purged_bytes(self, candidate, arg3) -> "int": ...
    def get_idainfo_by_udm(self, flags, ti, udm, refinfo_ea=BADADDR) -> "bool": ...
    def get_named_type_tid(self, name) -> "tid_t": ...
    def get_tid_name(self, tid) -> "bool": ...
    def get_tid_ordinal(self, tid) -> "uint32": ...
    def get_udm_by_fullname(self, udm, fullname) -> "ssize_t": ...
    def replace_ordinal_typerefs(self, til, tif) -> "int": ...

class valstr_t(object):
    @property
    def length(self) -> "size_t": ...
    @property
    def oneline(self) -> "qstring": ...
    @property
    def props(self) -> "int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def _print(self, str) -> "int": ...
    def calc_number_of_children(self, loc, tif, dont_deref_ptr=False) -> "int": ...
    def get_enum_member_expr(self, tif, serial, value) -> "bool": ...

class valstrs_t(valstrvec_t):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, i) -> "udm_t": ...
    def __len__(self) -> "size_t": ...
    def __ne__(self, r) -> "bool": ...
    def __setitem__(self, i, v) -> ""void"": ...
    def _del(self, x) -> "bool": ...
    def append(self, x) -> ""void"": ...
    def at(self, _idx) -> ""valstr_t const &"": ...
    def begin(self, *args) -> ""qvector< valstr_t >": ...
    def capacity(self) -> ""size_t"": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "udm_t": ...
    def erase(self, *args) -> ""qvector< valstr_t >": ...
    def extend(self, x) -> ""void"": ...
    def extract(self) -> ""valstr_t *"": ...
    def find(self, x) -> "udm_t": ...
    def get_base_type(self, t) -> "type_t": ...
    def get_full_type(self, t) -> "type_t": ...
    def get_type_flags(self, t) -> "type_t": ...
    def grow(self, *args) -> ""void"": ...
    def has(self, x) -> "bool": ...
    def inject(self, s, len) -> ""void"": ...
    def insert(self, it, x) -> "udm_t": ...
    def is_sdacl_byte(self, t) -> "bool": ...
    def is_tah_byte(self, t) -> "bool": ...
    def is_type_arithmetic(self, t) -> "bool": ...
    def is_type_array(self, t) -> "bool": ...
    def is_type_bitfld(self, t) -> "bool": ...
    def is_type_bool(self, t) -> "bool": ...
    def is_type_char(self, t) -> "bool": ...
    def is_type_complex(self, t) -> "bool": ...
    def is_type_const(self, t) -> "bool": ...
    def is_type_double(self, t) -> "bool": ...
    def is_type_enum(self, t) -> "bool": ...
    def is_type_ext_arithmetic(self, t) -> "bool": ...
    def is_type_ext_integral(self, t) -> "bool": ...
    def is_type_float(self, t) -> "bool": ...
    def is_type_floating(self, t) -> "bool": ...
    def is_type_func(self, t) -> "bool": ...
    def is_type_int(self, bt) -> "bool": ...
    def is_type_int128(self, t) -> "bool": ...
    def is_type_int16(self, t) -> "bool": ...
    def is_type_int32(self, t) -> "bool": ...
    def is_type_int64(self, t) -> "bool": ...
    def is_type_integral(self, t) -> "bool": ...
    def is_type_ldouble(self, t) -> "bool": ...
    def is_type_paf(self, t) -> "bool": ...
    def is_type_partial(self, t) -> "bool": ...
    def is_type_ptr(self, t) -> "bool": ...
    def is_type_ptr_or_array(self, t) -> "bool": ...
    def is_type_struct(self, t) -> "bool": ...
    def is_type_struni(self, t) -> "bool": ...
    def is_type_sue(self, t) -> "bool": ...
    def is_type_tbyte(self, t) -> "bool": ...
    def is_type_typedef(self, t) -> "bool": ...
    def is_type_uchar(self, t) -> "bool": ...
    def is_type_uint(self, t) -> "bool": ...
    def is_type_uint128(self, t) -> "bool": ...
    def is_type_uint16(self, t) -> "bool": ...
    def is_type_uint32(self, t) -> "bool": ...
    def is_type_uint64(self, t) -> "bool": ...
    def is_type_union(self, t) -> "bool": ...
    def is_type_unknown(self, t) -> "bool": ...
    def is_type_void(self, t) -> "bool": ...
    def is_type_volatile(self, t) -> "bool": ...
    def is_typeid_last(self, t) -> "bool": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self) -> "udm_t": ...
    def qclear(self) -> ""void"": ...
    def reserve(self, cnt) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""size_t"": ...
    def swap(self, r) -> ""void"": ...
    def truncate(self) -> ""void"": ...

class text_sink_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def _print(self, str) -> ""int"": ...

class til_symbol_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, n=None, t=None) -> "None": ...
    def choose_local_tinfo(self, ti, title, func=None, def_ord=0, ud=None) -> "uint32": ...
    def choose_local_tinfo_and_delta(self, delta, ti, title, func=None, def_ord=0, ud=None) -> "uint32": ...
    def choose_named_type(self, out_sym, root_til, title, ntf_flags, predicate=None) -> "bool": ...
    def should_display(self, til, name, type, fields) -> "bool": ...

class predicate_t(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __disown__(self) -> "Any": ...
    def should_display(self, til, name, type, fields) -> ""bool"": ...

class til_type_ref_t(object):
    @property
    def bf_bitoff(self) -> "int": ...
    @property
    def bucket_start(self) -> "uint64": ...
    @property
    def cb(self) -> "size_t": ...
    @property
    def cursor(self) -> "tif_cursor_t": ...
    @property
    def edm(self) -> "edm_t": ...
    @property
    def is_detached(self) -> "bool": ...
    @property
    def is_forward(self) -> "bool": ...
    @property
    def is_writable(self) -> "bool": ...
    @property
    def kind(self) -> "type_t": ...
    @property
    def last_udm_offset(self) -> "uint64": ...
    @property
    def memidx(self) -> "ssize_t": ...
    @property
    def nmembers(self) -> "size_t": ...
    @property
    def offset(self) -> "uint64": ...
    @property
    def ordinal(self) -> "uint32": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def tif(self) -> "tinfo_t": ...
    @property
    def total_size(self) -> "size_t": ...
    @property
    def udm(self) -> "udm_t": ...
    @property
    def unpadded_size(self) -> "size_t": ...
    def __init__(self) -> "None": ...
    def apply_type(self, til, type, fields, ea, flags) -> "bool": ...
    def calc_type_size(self, til, type) -> "PyObject": ...
    def clear(self) -> ""void"": ...
    def get_arg_addrs(self, caller) -> "PyObject": ...
    def get_named_type(self, til, name, ntf_flags) -> "PyObject": ...
    def get_named_type64(self, til, name, ntf_flags) -> "PyObject": ...
    def get_numbered_type(self, til, ordinal) -> "PyObject": ...
    def idc_get_local_type(self, ordinal, flags) -> "int": ...
    def idc_get_local_type_name(self, ordinal) -> "char": ...
    def idc_get_local_type_raw(self, ordinal) -> "PyObject": ...
    def idc_get_type(self, ea) -> "char": ...
    def idc_get_type_raw(self, ea) -> "PyObject": ...
    def idc_guess_type(self, ea) -> "char": ...
    def idc_parse_types(self, input, flags) -> "int": ...
    def idc_print_type(self, type, fields, name, flags) -> "PyObject": ...
    def idc_set_local_type(self, ordinal, dcl, flags) -> "int": ...
    def is_enum(self) -> "bool": ...
    def is_func(self) -> "bool": ...
    def is_struct(self) -> "bool": ...
    def is_typedef(self) -> "bool": ...
    def is_udt(self) -> "bool": ...
    def is_union(self) -> "bool": ...
    def on_member(self) -> ""bool"": ...
    def pack_object_to_bv(self, obj, til, type, fields, base_ea, pio_flags) -> "PyObject": ...
    def pack_object_to_idb(self, obj, til, type, fields, ea, pio_flags) -> "PyObject": ...
    def print_decls(self, printer, til, ordinals, flags) -> "PyObject": ...
    def remove_tinfo_pointer(self, tif, name, til) -> "PyObject": ...
    def set_numbered_type(self, ti, ordinal, ntf_flags, name, type, fields=None, cmt=None, fldcmts=None, sclass=None) -> "tinfo_code_t": ...
    def unpack_object_from_bv(self, til, type, fields, bytes, pio_flags) -> "PyObject": ...
    def unpack_object_from_idb(self, til, type, fields, ea, pio_flags) -> "PyObject": ...

class _wrap_cvar(object):
    @property
    def thisown(self) -> "Any": ...
    def __getattr__(self, attr) -> "Any": ...
    def __setattr__(self, attr, value) -> "Any": ...

class sreg_range_t(range_t):
    @property
    def end_ea(self) -> "ea_t": ...
    @property
    def start_ea(self) -> "ea_t": ...
    @property
    def tag(self) -> "uchar": ...
    @property
    def thisown(self) -> "Any": ...
    @property
    def val(self) -> "sel_t": ...
    def __init__(self) -> "None": ...
    def __eq__(self, r) -> ""bool"": ...
    def __ge__(self, r) -> "bool": ...
    def __gt__(self, r) -> "bool": ...
    def __le__(self, r) -> ""bool"": ...
    def __lt__(self, r) -> ""bool"": ...
    def __ne__(self, r) -> "bool": ...
    def _print(self) -> "size_t": ...
    def clear(self) -> ""void"": ...
    def compare(self, r) -> ""int"": ...
    def contains(self, ea) -> "bool": ...
    def del_sreg_range(self, ea, rg) -> "bool": ...
    def empty(self) -> "bool": ...
    def extend(self, ea) -> ""void"": ...
    def get_prev_sreg_range(self, out, ea, rg) -> "bool": ...
    def get_sreg_range(self, out, ea, rg) -> "bool": ...
    def get_sreg_range_num(self, ea, rg) -> "int": ...
    def get_sreg_ranges_qty(self, rg) -> "size_t": ...
    def getn_sreg_range(self, out, rg, n) -> "bool": ...
    def intersect(self, r) -> ""void"": ...
    def overlaps(self, r) -> "bool": ...
    def reg_data_type(self, name, subkey=None) -> "regval_type_t": ...
    def reg_delete(self, name, subkey=None) -> "bool": ...
    def reg_delete_subkey(self, name) -> "bool": ...
    def reg_delete_tree(self, name) -> "bool": ...
    def reg_exists(self, name, subkey=None) -> "bool": ...
    def reg_read_binary(self, name, subkey=None) -> "PyObject": ...
    def reg_read_bool(self, name, defval, subkey=None) -> "bool": ...
    def reg_read_int(self, name, defval, subkey=None) -> "int": ...
    def reg_read_string(self, name, subkey=None, _def=None) -> "PyObject": ...
    def reg_subkey_exists(self, name) -> "bool": ...
    def reg_subkey_subkeys(self, name) -> "PyObject": ...
    def reg_subkey_values(self, name) -> "PyObject": ...
    def reg_write_binary(self, name, py_bytes, subkey=None) -> "PyObject": ...
    def set_default_sreg_value(self, sg, rg, value) -> "bool": ...
    def set_registry_name(self, name) -> "bool": ...
    def size(self) -> ""asize_t"": ...
    def split_sreg_range(self, ea, rg, v, tag, silent=False) -> "bool": ...

class netnode(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, num=nodeidx_t(-1)) -> "None": ...
    def __eq__(self, *args) -> ""bool"": ...
    def __ne__(self, n) -> "bool": ...
    def __next__(self) -> ""bool"": ...
    def altdel(self, *args) -> ""bool"": ...
    def altdel_all(self, tag=atag) -> "bool": ...
    def altdel_ea(self, ea, tag=atag) -> "bool": ...
    def altdel_idx8(self, alt, tag) -> ""bool"": ...
    def altfirst(self, *args) -> ""nodeidx_t"": ...
    def altfirst_idx8(self, tag) -> "nodeidx_t": ...
    def altlast(self, *args) -> ""nodeidx_t"": ...
    def altlast_idx8(self, tag) -> "nodeidx_t": ...
    def altnext(self, cur, tag=atag) -> "nodeidx_t": ...
    def altnext_idx8(self, cur, tag) -> ""nodeidx_t"": ...
    def altprev(self, cur, tag=atag) -> "nodeidx_t": ...
    def altprev_idx8(self, cur, tag) -> ""nodeidx_t"": ...
    def altset(self, alt, value, tag=atag) -> "bool": ...
    def altset_ea(self, *args) -> ""bool"": ...
    def altset_idx8(self, alt, val, tag) -> "bool": ...
    def altshift(self, *args) -> ""size_t"": ...
    def altval(self, alt, tag=atag) -> "nodeidx_t": ...
    def altval_ea(self, *args) -> ""nodeidx_t"": ...
    def altval_idx8(self, alt, tag) -> ""nodeidx_t"": ...
    def blobshift(self, frm, to, size, tag) -> "size_t": ...
    def blobsize(self, _start, tag) -> "size_t": ...
    def blobsize_ea(self, ea, tag) -> ""size_t"": ...
    def chardel(self, alt, tag) -> "bool": ...
    def chardel_ea(self, ea, tag) -> ""bool"": ...
    def chardel_idx8(self, alt, tag) -> "bool": ...
    def charfirst(self, tag) -> "nodeidx_t": ...
    def charfirst_idx8(self, tag) -> ""nodeidx_t"": ...
    def charlast(self, tag) -> "nodeidx_t": ...
    def charlast_idx8(self, tag) -> ""nodeidx_t"": ...
    def charnext(self, cur, tag) -> ""nodeidx_t"": ...
    def charnext_idx8(self, cur, tag) -> "nodeidx_t": ...
    def charprev(self, cur, tag) -> ""nodeidx_t"": ...
    def charprev_idx8(self, cur, tag) -> "nodeidx_t": ...
    def charset(self, alt, val, tag) -> ""bool"": ...
    def charset_ea(self, ea, val, tag) -> "bool": ...
    def charset_idx8(self, alt, val, tag) -> ""bool"": ...
    def charshift(self, frm, to, size, tag) -> "size_t": ...
    def charval(self, alt, tag) -> "str": ...
    def charval_ea(self, ea, tag) -> ""uchar"": ...
    def charval_idx8(self, alt, tag) -> "str": ...
    def copyto(self, destnode, count) -> ""size_t"": ...
    def create(self, *args) -> ""bool"": ...
    def delblob(self, _start, tag) -> "int": ...
    def delblob_ea(self, ea, tag) -> ""int"": ...
    def delvalue(self) -> "bool": ...
    def eadel(self, ea, tag) -> ""bool"": ...
    def eadel_idx8(self, idx, tag) -> "bool": ...
    def eaget(self, ea, tag) -> "ea_t": ...
    def eaget_idx(self, idx, tag) -> ""ea_t"": ...
    def eaget_idx8(self, idx, tag) -> ""ea_t"": ...
    def easet(self, ea, addr, tag) -> ""bool"": ...
    def easet_idx(self, idx, addr, tag) -> "bool": ...
    def easet_idx8(self, idx, addr, tag) -> "bool": ...
    def end(self) -> "bool": ...
    def exist(self, n) -> "bool": ...
    def get_name(self) -> "str": ...
    def getblob(self, start, tag) -> ""PyObject *"": ...
    def getblob_ea(self, ea, tag) -> ""PyObject *"": ...
    def getclob(self, start, tag) -> "PyObject": ...
    def hashdel(self, idx, tag=htag) -> "bool": ...
    def hashdel_all(self, *args) -> ""bool"": ...
    def hashfirst(self, *args) -> ""ssize_t"": ...
    def hashlast(self, *args) -> ""ssize_t"": ...
    def hashnext(self, idx, tag=htag) -> "ssize_t": ...
    def hashprev(self, idx, tag=htag) -> "ssize_t": ...
    def hashset(self, idx, value, tag=htag) -> "bool": ...
    def hashset_buf(self, *args) -> ""bool"": ...
    def hashset_idx(self, *args) -> ""bool"": ...
    def hashstr(self, idx, tag=htag) -> "ssize_t": ...
    def hashstr_buf(self, idx, tag=htag) -> "PyObject": ...
    def hashval(self, *args) -> ""ssize_t"": ...
    def hashval_long(self, *args) -> ""nodeidx_t"": ...
    def index(self) -> "nodeidx_t": ...
    def kill(self) -> ""void"": ...
    def long_value(self) -> ""nodeidx_t"": ...
    def lower_bound(self, cur, tag=stag) -> "nodeidx_t": ...
    def lower_bound_ea(self, *args) -> ""nodeidx_t"": ...
    def lower_bound_idx8(self, alt, tag) -> ""nodeidx_t"": ...
    def moveto(self, destnode, count=1) -> "size_t": ...
    def prev(self) -> "bool": ...
    def rename(self, newname, namlen=0) -> "bool": ...
    def set(self, value) -> ""bool"": ...
    def set_long(self, x) -> ""bool"": ...
    def setblob(self, buf, _start, tag) -> "bool": ...
    def setblob_ea(self, buf, ea, tag) -> ""bool"": ...
    def start(self) -> ""bool"": ...
    def supdel(self, alt, tag=stag) -> "bool": ...
    def supdel_all(self, tag) -> "bool": ...
    def supdel_ea(self, *args) -> ""bool"": ...
    def supdel_idx8(self, alt, tag) -> "bool": ...
    def supdel_range(self, idx1, idx2, tag) -> ""int"": ...
    def supdel_range_idx8(self, idx1, idx2, tag) -> "int": ...
    def supfirst(self, tag=stag) -> "nodeidx_t": ...
    def supfirst_idx8(self, tag) -> "nodeidx_t": ...
    def suplast(self, tag=stag) -> "nodeidx_t": ...
    def suplast_idx8(self, tag) -> "nodeidx_t": ...
    def supnext(self, *args) -> ""nodeidx_t"": ...
    def supnext_idx8(self, alt, tag) -> ""nodeidx_t"": ...
    def supprev(self, *args) -> ""nodeidx_t"": ...
    def supprev_idx8(self, alt, tag) -> ""nodeidx_t"": ...
    def supset(self, alt, value, tag=stag) -> "bool": ...
    def supset_ea(self, ea, value, tag=stag) -> "bool": ...
    def supset_idx8(self, alt, value, tag) -> ""bool"": ...
    def supshift(self, frm, to, size, tag=stag) -> "size_t": ...
    def supstr(self, *args) -> ""ssize_t"": ...
    def supstr_ea(self, ea, tag=stag) -> "ssize_t": ...
    def supstr_idx8(self, alt, tag) -> "ssize_t": ...
    def supval(self, *args) -> ""ssize_t"": ...
    def supval_ea(self, ea, tag=stag) -> "ssize_t": ...
    def supval_idx8(self, *args) -> ""ssize_t"": ...
    def valobj(self, *args) -> ""ssize_t"": ...
    def valstr(self) -> "ssize_t": ...
    def value_exists(self) -> "bool": ...

class InstructionsVector(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __delitem__(self, *args) -> ""void"": ...
    def __delslice__(self, i, j) -> ""void"": ...
    def __getitem__(self, slice) -> "InstructionsVector": ...
    def __getslice__(self, i, j) -> "InstructionsVector": ...
    def __iter__(self) -> "InstructionsVector": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def __setslice__(self, *args) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def assign(self, n, x) -> ""void"": ...
    def back(self) -> "insn_t": ...
    def begin(self) -> ""std": ...
    def capacity(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "list": ...
    def erase(self, pos) -> "list": ...
    def front(self) -> ""std": ...
    def get_allocator(self) -> "list": ...
    def insert(self, pos, x) -> "list": ...
    def iterator(self) -> "Iterator[InstructionsVectorElement]": ...
    def pop(self) -> "insn_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, x) -> ""void"": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "list": ...
    def reserve(self, n) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...

class BasicBlocksVector(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __delitem__(self, *args) -> ""void"": ...
    def __delslice__(self, i, j) -> ""void"": ...
    def __getitem__(self, slice) -> "BasicBlocksVector": ...
    def __getslice__(self, i, j) -> "BasicBlocksVector": ...
    def __iter__(self) -> "BasicBlocksVector": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def __setslice__(self, *args) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def assign(self, n, x) -> ""void"": ...
    def back(self) -> "qbasic_block_t": ...
    def begin(self) -> ""std": ...
    def capacity(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "list": ...
    def erase(self, pos) -> "list": ...
    def front(self) -> ""std": ...
    def get_allocator(self) -> "list": ...
    def insert(self, pos, x) -> "list": ...
    def iterator(self) -> "Iterator[BasicBlocksVectorElement]": ...
    def pop(self) -> "qbasic_block_t": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, x) -> ""void"": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "list": ...
    def reserve(self, n) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...

class StringVector(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __delitem__(self, *args) -> ""void"": ...
    def __delslice__(self, i, j) -> ""void"": ...
    def __getitem__(self, slice) -> "StringVector": ...
    def __getslice__(self, i, j) -> "StringVector": ...
    def __iter__(self) -> "StringVector": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def __setslice__(self, *args) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def assign(self, n, x) -> ""void"": ...
    def back(self) -> "str": ...
    def begin(self) -> ""std": ...
    def capacity(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "str": ...
    def erase(self, pos) -> "str": ...
    def front(self) -> ""std": ...
    def get_allocator(self) -> "str": ...
    def insert(self, pos, x) -> "str": ...
    def iterator(self) -> "Iterator[StringVectorElement]": ...
    def pop(self) -> "str": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, x) -> ""void"": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "str": ...
    def reserve(self, n) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...

class EAVector(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __delitem__(self, *args) -> ""void"": ...
    def __delslice__(self, i, j) -> ""void"": ...
    def __getitem__(self, slice) -> "EAVector": ...
    def __getslice__(self, i, j) -> "EAVector": ...
    def __iter__(self) -> "EAVector": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def __setslice__(self, *args) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def assign(self, n, x) -> ""void"": ...
    def back(self) -> "int": ...
    def begin(self) -> ""std": ...
    def capacity(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, pos) -> "int": ...
    def front(self) -> ""std": ...
    def get_allocator(self) -> "int": ...
    def insert(self, pos, x) -> "int": ...
    def iterator(self) -> "Iterator[EAVectorElement]": ...
    def pop(self) -> "int": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, x) -> ""void"": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "int": ...
    def reserve(self, n) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...

class EAStringPair(object):
    @property
    def first(self) -> "unsigned long long": ...
    @property
    def second(self) -> "std::string": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "EAStringPair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class EAStringPairVector(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __delitem__(self, *args) -> ""void"": ...
    def __delslice__(self, i, std, j, std) -> ""void"": ...
    def __getitem__(self, slice) -> "EAStringPairVector": ...
    def __getslice__(self, long, i, long, j) -> "EAStringPairVector": ...
    def __iter__(self) -> "EAStringPairVector": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def __setslice__(self, *args) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def assign(self, n, std, x) -> ""void"": ...
    def back(self) -> "EAStringPair": ...
    def begin(self) -> ""std": ...
    def capacity(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "int": ...
    def erase(self, long, pos) -> "int": ...
    def front(self) -> ""std": ...
    def get_allocator(self) -> "int": ...
    def insert(self, long, pos, x) -> "int": ...
    def iterator(self) -> "Iterator[EAStringPairVectorElement]": ...
    def pop(self) -> "EAStringPair": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, x) -> ""void"": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "int": ...
    def reserve(self, n, std) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...

class ByteVector(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __delitem__(self, *args) -> ""void"": ...
    def __delslice__(self, i, j) -> ""void"": ...
    def __getitem__(self, slice) -> "ByteVector": ...
    def __getslice__(self, i, j) -> "ByteVector": ...
    def __iter__(self) -> "ByteVector": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def __setslice__(self, *args) -> ""void"": ...
    def append(self, x) -> ""void"": ...
    def assign(self, n, x) -> ""void"": ...
    def back(self) -> "str": ...
    def begin(self) -> ""std": ...
    def capacity(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def empty(self) -> "bool": ...
    def end(self) -> "str": ...
    def erase(self, pos) -> "str": ...
    def front(self) -> ""std": ...
    def get_allocator(self) -> "str": ...
    def insert(self, pos, x) -> "str": ...
    def iterator(self) -> "Iterator[ByteVectorElement]": ...
    def pop(self) -> "str": ...
    def pop_back(self) -> ""void"": ...
    def push_back(self, x) -> ""void"": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "str": ...
    def reserve(self, n) -> ""void"": ...
    def resize(self, *args) -> ""void"": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...

class BoolXrefBlkPair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "xrefblk_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolXrefBlkPair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolInsntPair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "insn_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolInsntPair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolTinfoPair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "tinfo_t": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolTinfoPair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolStringPair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "std::string": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolStringPair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolUint8Pair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "unsigned char": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolUint8Pair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolUint16Pair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "unsigned short": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolUint16Pair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolUint32Pair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "unsigned int": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolUint32Pair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolUint64Pair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "unsigned long long": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolUint64Pair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolFloatPair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "float": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolFloatPair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class BoolDoublePair(object):
    @property
    def first(self) -> "bool": ...
    @property
    def second(self) -> "double": ...
    @property
    def thisown(self) -> "Any": ...
    def __init__(self) -> "None": ...
    def __getitem__(self, index) -> "BoolDoublePair": ...
    def __len__(self) -> "Any": ...
    def __repr__(self) -> "Any": ...
    def __setitem__(self, index, val) -> "Any": ...

class StringToStringMap(object):
    @property
    def thisown(self) -> "Any": ...
    def __init__(self, *args) -> "None": ...
    def __bool__(self) -> "bool": ...
    def __contains__(self, std::string, key) -> "bool": ...
    def __delitem__(self, key, std) -> ""void"": ...
    def __getitem__(self, std::string, key) -> "str": ...
    def __iter__(self) -> "StringToStringMap": ...
    def __len__(self) -> ""std": ...
    def __nonzero__(self) -> ""bool"": ...
    def __setitem__(self, *args) -> ""void"": ...
    def asdict(self) -> "PyObject": ...
    def begin(self) -> ""std": ...
    def clear(self) -> ""void"": ...
    def count(self, x, std) -> ""std": ...
    def empty(self) -> "bool": ...
    def end(self) -> "str": ...
    def erase(self, std::string, x) -> "str": ...
    def find(self, std::string, x) -> "str": ...
    def get_allocator(self) -> "str": ...
    def has_key(self, std::string, key) -> "bool": ...
    def items(self) -> "Iterator[StringToStringMapItem]": ...
    def iterator(self) -> "Iterator[StringToStringMapElement]": ...
    def iteritems(self) -> "StringToStringMap": ...
    def iterkeys(self) -> "StringToStringMap": ...
    def itervalues(self) -> "StringToStringMap": ...
    def key_iterator(self) -> ""swig": ...
    def keys(self) -> ""PyObject *"": ...
    def lower_bound(self, x, std) -> ""std": ...
    def rbegin(self) -> ""std": ...
    def rend(self) -> "str": ...
    def size(self) -> ""std": ...
    def swap(self, v) -> ""void"": ...
    def upper_bound(self, std::string, x) -> "str": ...
    def value_iterator(self) -> "SwigPyIterator": ...
    def values(self) -> "PyObject": ...

